/*
 * Copyright (c) 2008-2013 Sonatype, Inc.
 *
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/pro/attributions
 * Sonatype and Sonatype Nexus are trademarks of Sonatype, Inc. Apache Maven is a trademark of the Apache Foundation.
 * M2Eclipse is a trademark of the Eclipse Foundation. All other trademarks are the property of their respective owners.
 */

/**
 * Authenticate current user button.
 *
 * @class Nexus.usertoken.AuthenticateButton
 * @extends Ext.Button
 * @namespace Nexus.usertoken
 */
Ext.define('Nexus.usertoken.AuthenticateButton', {
        extend: 'Ext.Button',

        requires: ['Nexus.usertoken.AuthenticateWindow'],
        requirejs: ['nexus/usertoken'],

        /**
         * @cfc {*} callback        Configuration for CallbackRef in Auth*Window.
         */
        constructor: function (config) {
            var self = this;

            Ext.apply(self, {
                cls: 'x-btn-text-icon',
                icon: Nexus.usertoken.iconPath('lock-16.png')
            });

            // Configure a default button handler to open the Auth*Window
            Ext.applyIf(self, {
                handler: function () {
                    var window = new Nexus.usertoken.AuthenticateWindow({
                        animateTarget: self.getEl(),
                        callback: config.callback
                    });
                    window.show();
                }
            });

            // Call super constructor
            self.constructor.superclass.constructor.apply(self, arguments);
        }
    },

    function () {
        var type = this;
        Ext.ComponentMgr.registerType('nx-usertoken-auth-button', type);
    });
