/*
 * Copyright (c) 2011-2013 Sonatype, Inc. All rights reserved.
 * Includes the third-party code listed at http://links.sonatype.com/products/rhc/pro/attributions.
 * "Sonatype" is a trademark of Sonatype, Inc.
 */
HealthCheckProUtil = function() {
    var me = this;
    
    me.hasPaidProLicense = function() {
        var suffix = Sonatype.utils.editionShort.substr(Sonatype.utils.editionShort.lastIndexOf('-') + 1);
        return 'EVAL' != suffix && 'OSS' != suffix;
    };

    me.hasNonFreeProLicense = function() {
        var suffix = Sonatype.utils.editionShort.substr(Sonatype.utils.editionShort.lastIndexOf('-') + 1);
        return 'OSS' != suffix;
    };
    
    me.hasAlertReadPerm = function() {
        return Sonatype.lib.Permissions.checkPermission('nexus:healthcheckalerts', Sonatype.lib.Permissions.READ) && Sonatype.user.curr.isLoggedIn;
    };
    
    me.hasAlertUpdatePerm = function() {
        return Sonatype.lib.Permissions.checkPermission('nexus:healthcheckalerts', Sonatype.lib.Permissions.EDIT) && Sonatype.user.curr.isLoggedIn;
    };
};

Ext.onReady(function() {
    Sonatype.HealthCheckProUtil = new HealthCheckProUtil();
});