/*
 * Copyright (c) 2008-2013 Sonatype, Inc.
 *
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/pro/attributions
 * Sonatype and Sonatype Nexus are trademarks of Sonatype, Inc. Apache Maven is a trademark of the Apache Foundation.
 * M2Eclipse is a trademark of the Eclipse Foundation. All other trademarks are the property of their respective owners.
 */
/*global Ext,Sonatype,Nexus*/
(function() {

Sonatype.LicenseWindow = new Ext.Window({
      title : 'Nexus Professional License Agreement',
      closable : true,
      closeAction : 'hide',
      autoWidth : false,
      width : 400,
      height : 500,
      autoHeight : false,
      autoScroll : true,
      modal : true,
      constrain : true,
      resizable : false,
      draggable : false,
      items : [{
            xtype : 'panel',
            autoLoad : {
              url : 'LICENSE.html'
            }
          }, {
            xtype : 'panel',
            html : '<a href="' + Sonatype.config.resourcePath + '/LICENSE.html" target="_new">Download copy of license</a>'
          }],
      buttonAlign : 'center',
      buttons : [{
            text : 'Close',
            scope : this,
            handler : function() {
              Sonatype.LicenseWindow.hide();
            }
          }]
    });

Ext.override(Sonatype.repoServer.HelpAboutPanel, {
  getHelpText : function() {
    var helpText = '<div class="little-padding">' +
        'Sonatype Nexus&trade; ' +
        Sonatype.utils.edition +
        ' Edition<br>Copyright &copy; 2008-2013 Sonatype, Inc.' +
        '<br>All rights reserved. Includes the third-party code listed at <a href="' +
        Sonatype.utils.attributionsURL +
        '" target="_new">' +
        Sonatype.utils.attributionsURL +
        '</a>.' +
        '<br>Sonatype and Sonatype Nexus are trademarks of Sonatype, Inc. Apache Maven is a trademark of the Apache Foundation.' +
        '<br>M2Eclipse is a trademark of the Eclipse Foundation. All other trademarks are the property of their respective owners.';

    if (Sonatype.utils.editionShort.indexOf('EVAL') >= 0)
    {
      return helpText +
          '<br><br>This is an Evaluation Use copy of Sonatype Nexus '  + Sonatype.utils.edition + ' Software.' +
          '<br>You are licensed to use this Software solely for testing and evaluation purposes. You may not use this Software for any productive purpose. This Software may cease operation and/or Sonatype may terminate your right to use this Software at any time.' +
          '<br>To see the full license terms for this Software: <a href="#" onclick="Sonatype.LicenseWindow.show();return false;" >Click Here</a>' +
          '<br>To purchase a commercial license for this Software: <a href="' + Sonatype.utils.purchaseURL + '" target="_new">' + Sonatype.utils.purchaseURL + '</a>' +
          '<br>The product EULA is: <a href="' + Sonatype.utils.userLicenseURL + '" target="_new">' + Sonatype.utils.userLicenseURL + '</a></div>';
    }
    else
    {
      return helpText + '<br><br>To see the full license terms for this Software: <a href="#" onclick="Sonatype.LicenseWindow.show();return false;" >Click Here</a>' +
          '<br>The product EULA is: <a href="' + Sonatype.utils.userLicenseURL + '" target="_new">' + Sonatype.utils.userLicenseURL + '</a></div>';
    }
  }
});

var originalParse = Sonatype.utils.parseFormattedAppName;

Sonatype.utils.parseFormattedAppName = function(formattedAppName) {
  var
        evalText = 'EVALUATION',
        linkEvalText = '<a href=\"#\" onclick=\"Sonatype.view.mainTabPanel.addOrShowTab( \'AboutNexus\', Sonatype.repoServer.HelpAboutPanel, { title:\'About Nexus\'} ); return false;\">EVALUATION</a>';

  return originalParse(formattedAppName).replace(evalText, linkEvalText);
};

}());

