NX.define("Nexus.prefs.DateFormat",{singleton:true,mixins:["Nexus.LogAwareMixin"],defaultPatterns:{date:{"short":"Y-M-d","long":"l, F d, Y"},time:{"short":"H:i:s","long":"H:i:s T (\\G\\M\\TO)"},datetime:{"short":"Y-M-d H:i:s","long":"l, F d, Y H:i:s T (\\G\\M\\TO)"}},forName:function(name){var format=this.defaultPatterns[name];if(!name){this.logWarn("Missing named format:",name);return"c"}return format}});
NX.define("Nexus.staging.rule.RuleSetStore",{extend:"Ext.data.JsonStore",mixins:["Nexus.LogAwareMixin"],constructor:function(config){var self=this,config=config||{};Ext.apply(config,{url:Sonatype.config.servicePath+"/staging/rule_sets",root:"data",id:"id",fields:[{name:"id"},{name:"name"},{name:"description"},{name:"rules"},{name:"resourceURI"}],sortInfo:{field:"name",direction:"ASC"}});self.constructor.superclass.constructor.call(self,config)},nameForId:function(id){var record=this.getById(id);if(record){return record.get("name")}else{this.logDebug("Missing rule-set for ID:",id);return id}}});
NX.define("Nexus.staging.rule.RuleTypeStore",{extend:"Ext.data.JsonStore",mixins:["Nexus.LogAwareMixin"],constructor:function(config){var self=this,config=config||{};Ext.applyIf(config,{filterTesting:false});Ext.apply(config,{url:Sonatype.config.servicePath+"/staging/rule_types",root:"data",id:"id",fields:[{name:"id"},{name:"name"},{name:"description"},{name:"resourceURI"}],sortInfo:{field:"name",direction:"ASC"}});self.constructor.superclass.constructor.call(self,config);if(config.filterTesting===true){self.logDebug("Filtering testing.* rules enabled");self.on("load",function(store,records,options){self.filterBy(function(record,id){return !id.startsWith("testing.")})})}},nameForId:function(id){var record=this.getById(id);if(record){return record.get("name")}else{this.logDebug("Missing rule-type for ID:",id);return id}}});
define("Nexus/staging/Rules",function(){Ext.namespace("Nexus.staging");(function(){var Trait=function(methods){this.treat=function(obj){if(obj.prototype){obj=obj.prototype}Ext.apply(obj,methods)}};Nexus.staging.Rules=new Trait({generateHtmlFromRulesetFailure:function(responseText){var json=Ext.decode(responseText),html="<p><h3>Staging ruleset evaluation on repository '"+json.repositoryName+"' has failed.</h3>";Ext.each(json.failures,function(item){html+="<br/><p><h3>"+item.ruleName+"</h3></p>";Ext.each(item.messages,function(msg){html+="&nbsp;&nbsp;&nbsp;&nbsp;-"+msg.replace(/^([^:]*):/,"<b>$1:</b>")+"<br/>"})});html+="</p>";return html},showRulesetEvaluationReport:function(responseText){var reportWindow=new Ext.Window({id:"ruleset-evaluation-report",title:"Ruleset Evaluation Report",layout:"border",width:600,height:300,buttonAlign:"center",items:[{xtype:"panel",autoScroll:true,html:this.generateHtmlFromRulesetFailure(responseText),region:"center"}],buttons:[{text:"OK",scope:this,handler:function(){Ext.getCmp("ruleset-evaluation-report").close()}}]});reportWindow.show()}})})()});
NX.define("Nexus.staging.Icons",{extend:"Nexus.util.IconContainer",singleton:true,constructor:function(){var self=this;function iconConfig(fileName,variants){var config={};if(variants===undefined){variants=["x32","x16"]}Ext.each(variants,function(variant){config[variant]=variant+"/"+fileName});return config}self.constructor.superclass.constructor.call(self,{stylePrefix:"nx-staging-icons-",icons:{accept:iconConfig("accept.png"),bug:iconConfig("bug.png"),cog:iconConfig("cog.png"),cog_green:iconConfig("cog_green.png"),cog_red:iconConfig("cog_red.png"),cross:iconConfig("cross.png"),database:iconConfig("database.png"),database_delete:iconConfig("database_delete.png"),database_edit:iconConfig("database_edit.png"),database_go:iconConfig("database_go.png"),database_link:iconConfig("database_link.png"),database_save:iconConfig("database_save.png"),error:iconConfig("error.png"),gear:"@cog",gear_in:iconConfig("gear_in.png"),gear_in_green:iconConfig("gear_in_green.png"),gear_in_red:iconConfig("gear_in_red.png"),exclamation:iconConfig("exclamation.png"),folder_database:iconConfig("folder_database.png"),folder_go:iconConfig("folder_go.png"),star:iconConfig("star.png"),tick:iconConfig("tick.png"),warning:"@error",arrow_refresh:"arrow_refresh.png",refresh:"@arrow_refresh",selectionMulti:"selection-select.png",selectionEmpty:"@warning",repositoryOpened:"@database_edit",repositoryClosed:"@database",repositoryPromoted:"@database_go",repositoryGroup:"@folder_database",repositoryGroupPromoted:"@folder_go",repositoryGroupReleased:"@database_link",repositoryReleased:"@database_link",closeRepository:"@database_save",dropRepository:"@database_delete",releaseRepository:"@database_link",promoteRepository:"@database_go",transitioning:"@cog",transitioningBadge:"gear-small.png",activity_open:"@database_edit",activity_close:"@database_save",activity_promote:"@database_go",activity_group:"@folder_database",activity_release:"@database_link",activity_drop:"@database_delete",eventSuccess:"@accept",eventFailure:"@exclamation",event_error:"@error",event_repositoryCreated:"@eventSuccess",event_repositoryGroupCreated:"@eventSuccess",event_repositoryClosed:"@eventSuccess",event_repositoryCloseFailed:"@eventFailure",event_repositoryPromoted:"@eventSuccess",event_repositoryPromoteFailed:"@eventFailure",event_repositoryReleased:"@eventSuccess",event_repositoryReleaseFailed:"@eventFailure",event_rulesEvaluate:"@gear_in",event_rulesPassed:"@gear_in_green",event_rulesFailed:"@gear_in_red",event_ruleEvaluate:"@cog",event_rulePassed:"@cog_green",event_ruleFailed:"@cog_red",notification_0:"@accept",notification_1:"notification-counter.png",notification_2:"notification-counter-02.png",notification_3:"notification-counter-03.png",notification_4:"notification-counter-04.png",notification_5:"notification-counter-05.png",notification_6:"notification-counter-06.png",notification_7:"notification-counter-07.png",notification_8:"notification-counter-08.png",notification_9:"notification-counter-09.png",notification_10:"notification-counter-10.png",notification_11:"notification-counter-11.png",notification_12:"notification-counter-12.png",notification_13:"notification-counter-13.png",notification_14:"notification-counter-14.png",notification_15:"notification-counter-15.png",notification_16:"notification-counter-16.png",notification_17:"notification-counter-17.png",notification_18:"notification-counter-18.png",notification_19:"notification-counter-19.png",notification_20:"notification-counter-20.png",notification_more:"notification-counter-20-plus.png"}})},invalidIcon:function(message){this.logWarn(message);return this.get("bug")},forRepository:function(repo){var self=this;if(repo.profileType==="group"){if(repo.type==="promoted"){return self.get("repositoryGroupPromoted")}else{if(repo.type==="released"){return self.get("repositoryGroupReleased")}else{return self.get("repositoryGroup")}}}if(repo.type==="open"){return self.get("repositoryOpened")}else{if(repo.type==="closed"){return self.get("repositoryClosed")}else{if(repo.type==="promoted"){return self.get("repositoryPromoted")}else{if(repo.type==="released"){return self.get("repositoryReleased")}}}}return self.invalidIcon("Unable to determine icon for: "+repo)},forNotificationCount:function(count){NX.assert(Ext.isNumber(count)&&count>=0);if(count>20){return this.get("notification_more")}else{return this.get("notification_"+count)}},renderRepositoryWithBadge:function(repo){var iconImg=this.forRepository(repo).img,badgeCls;if(repo.transitioning){badgeCls=this.get("transitioningBadge").cls;return'<div><span class="'+badgeCls+' nx-staging-icons-transitioning-badge"></span>'+iconImg+"</div>"}else{if(repo.notifications>0){badgeCls=this.forNotificationCount(repo.notifications).cls;return'<div><span class="'+badgeCls+' nx-staging-icons-notification-badge"></span>'+iconImg+"</div>"}else{return iconImg}}},forActivityName:function(name){return this.get("activity_"+name)},forEventName:function(name){return this.get("event_"+name)}});
NX.define("Nexus.staging.profile.ProfileStore",{extend:"Ext.data.JsonStore",hasGroups:false,constructor:function(config){var self=this,config=config||{};Ext.apply(config,{url:Sonatype.config.servicePath+"/staging/profiles",root:"data",id:"id",fields:[{name:"resourceURI"},{name:"id"},{name:"name"},{name:"promotionTargetRepository"},{name:"mode"},{name:"repositoryType"}],sortInfo:{field:"name",direction:"ASC"}});self.constructor.superclass.constructor.call(self,config);self.on("load",function(store,records){var i;self.hasGroups=false;for(i=0;i<records.length;i=i+1){if(records[i].get("mode")==="GROUP"){self.hasGroups=true;break}}});self.on("loadexception",function(){self.hasGroups=false})},nameForId:function(id){var record=this.getById(id);if(record){return record.get("name")}else{this.logDebug("Missing profile for ID:",id);return id}}});
NX.define("Nexus.staging.repository.SummaryView",{extend:"Ext.Panel",mixins:["Nexus.LogAwareMixin"],requires:["Nexus.prefs.DateFormat","Nexus.staging.Icons","Nexus.staging.repository.RepositoriesMediator"],requirejs:["Nexus/messages","Nexus/ext/linkbutton"],current:undefined,initComponent:function(){var self=this;self.templatePanel=NX.create("Ext.Panel",{cls:"nx-staging-repository-SummaryView-template",border:false});self.descriptionPanel=NX.create("Ext.form.FormPanel",{cls:"nx-staging-repository-SummaryView-description",border:false,hideLabels:true,items:[{name:"description",xtype:"textarea",height:50,width:400,helpText:"An optional comment to describe the contents of the staging repository."}],buttonAlign:"left",buttons:[{text:"Save",formBind:true,scope:self,handler:self.updateDescription},{xtype:"link-button",text:"Discard",formBind:false,scope:self,handler:function(){self.descriptionPanel.getForm().setValues(self.current)}}]});Ext.apply(self,{cls:"nx-staging-repository-SummaryView",title:"Summary",border:false,autoScroll:true,items:[self.templatePanel,{xtype:"fieldset",title:"Description",items:[self.descriptionPanel]}]});self.initTemplate();self.constructor.superclass.initComponent.apply(self,arguments)},initTemplate:function(){var self=this,icons=Nexus.staging.Icons;self.mainTpl=NX.create("Ext.XTemplate",'<div class="nx-staging-repository-SummaryView-body">',"{[ this.status(values) ]}","{[ this.properties(values) ]}","{[ this.message(values) ]}","</div>",{compiled:true,link:function(url){return'<a href="'+url+'" target="_blank">'+url+"</a>"},timestamp:function(date){if(date){return date.format(Nexus.prefs.DateFormat.forName("datetime")["long"])}return undefined},status:function(values){return self.statusTpl.apply(values)},repository:function(values){return values.repositoryId+" ("+values.profileName+")"},owner:function(values){if(values.userId){if(values.ipAddress){return values.userId+" ("+values.ipAddress+")"}else{return values.userId}}else{return"unknown"}},activity:function(values){if(values.transitioning){return icons.get("transitioning").img}else{return icons.forNotificationCount(values.notifications).img}},properties:function(values){var properties;properties=[{name:"Repository",value:this.repository(values)},{name:"Created",value:this.timestamp(values.created)},{name:"Updated",value:this.timestamp(values.updated)}];if(values.type!=="open"&&values.type!=="released"){properties.push({name:"URL",value:this.link(values.repositoryURI)})}properties.push({name:"Activity",value:this.activity(values)},{name:"Owner",value:this.owner(values)});if(values.userAgent){properties.push({name:"User-Agent",value:values.userAgent})}Nexus.staging.repository.RepositoriesMediator.fireEvent("staging.repositorySummary.configureProperties",properties,values);return self.propertiesTpl.apply({properties:properties})},message:function(values){if(values.type==="released"){return self.messageTpl.apply({icon:icons.get("star").img,html:"Staging repository has been released and can be <b>safely dropped</b>."})}return""}});self.statusTpl=NX.create("Ext.XTemplate",'<div class="nx-staging-repository-SummaryView-status">','<div class="nx-staging-repository-SummaryView-status-icon">',"{[ this.statusIcon(values) ]}","</div>",'<div class="nx-staging-repository-SummaryView-status-label">',"{[ this.statusLabel(values) ]}","</div>","</div>",{compiled:true,statusIcon:function(values){return icons.forRepository(values).variant("x32").img},statusLabel:function(values){return values.type}});self.propertiesTpl=NX.create("Ext.XTemplate",'<div class="nx-staging-repository-SummaryView-properties">',"<table>",'<tpl for="properties">','<tr class="nx-staging-repository-SummaryView-properties-entry">','<td class="nx-staging-repository-SummaryView-properties-name">{name}</td>','<td class="nx-staging-repository-SummaryView-properties-value">{value}</td>',"</tr>","</tpl>","</table>","</div>",{compiled:true});self.messageTpl=NX.create("Ext.XTemplate",'<div class="nx-staging-repository-SummaryView-message">',"<span>{icon}{html}</span>","</div>",{compiled:true})},updateDescription:function(){var self=this,mediator=Nexus.staging.repository.RepositoriesMediator,repo=self.current;repo.description=self.descriptionPanel.getForm().findField("description").getValue();self.logDebug("Updating repository:",repo.repositoryId,"description:",repo.description);Ext.Ajax.request({method:"PUT",url:Sonatype.config.servicePath+"/staging/repository/"+repo.repositoryId,jsonData:{repositoryId:repo.repositoryId,description:repo.description},scope:self,success:function(response,options){mediator.repositoryStore.reload();Nexus.messages.show("Staging","Description saved")},failure:function(response,options){self.logError("Failed to save description",response)}})},updateRecord:function(repo){var self=this;self.current=repo;self.mainTpl.overwrite(self.templatePanel.body,repo);self.descriptionPanel.getForm().setValues(repo);var disable=repo.transitioning===true||repo.type==="released";self.descriptionPanel.items.each(function(item){item.setDisabled(disable)});Ext.each(self.descriptionPanel.buttons,function(item){item.setVisible(!disable)})}});
NX.define("Nexus.staging.repository.ContentView",{extend:"Ext.Panel",mixins:["Nexus.LogAwareMixin"],requires:["Sonatype.repoServer.ArtifactContainer"],initComponent:function(){var self=this;self.artifactPanel=new Sonatype.repoServer.ArtifactContainer({region:"east",split:true,width:"50%",collapsible:true,collapsed:true,hideCollapseTool:true,initEventName:"fileContainerInit",updateEventName:"fileContainerUpdate"});self.artifactPanel.tools=undefined;self.browserPanel=new Sonatype.repoServer.RepositoryBrowsePanel({payload:null,browseIndex:false,region:"center",nodeClickHandler:function(node){self.selectArtifact(node)}});Ext.apply(self,{cls:"nx-staging-repository-ContentView",title:"Content",layout:"border",hideMode:"offsets",items:[self.browserPanel,self.artifactPanel]});self.constructor.superclass.initComponent.apply(self,arguments)},selectArtifact:function(node){var self=this,panel=self.artifactPanel,attrs=node.attributes;if(panel.items.getCount()>0){if(node&&node.isLeaf()){self.logDebug("Selected artifact:",node);panel.updateArtifact({text:attrs.text,leaf:attrs.leaf,resourceURI:attrs.resourceURI})}else{panel.collapsePanel()}}},updateRecord:function(repo){var self=this,sc=Sonatype.config,u=Sonatype.config.repos.urls;self.artifactPanel.collapsePanel();self.browserPanel.updatePayload({data:{resourceURI:sc.host+u.repositories+"/"+repo.repositoryId,name:repo.repositoryId+" (u:"+repo.userId+", a:"+repo.ipAddress+")",repositoryURI:sc.host+u.repositories+"/"+repo.repositoryId,repoType:"hosted",exposed:false,contentResourceURI:repo.repositoryURI,showCtx:true},get:function(field){return this.data[field]}})}});
NX.define("Nexus.staging.repository.ConfirmWindow",{extend:"Ext.Window",mixins:["Nexus.LogAwareMixin"],requires:["Nexus.staging.Icons"],statics:{messageTpl:NX.create("Ext.Template",'<div class="nx-staging-repository-ConfirmWindow-messagePanel-box">','<div class="nx-staging-repository-ConfirmWindow-messagePanel-icon">{icon}</div>','<div class="nx-staging-repository-ConfirmWindow-messagePanel-text">{message}</div>',"</div>",{compiled:true,disableFormats:true})},url:undefined,activity:undefined,message:undefined,initComponent:function(){var self=this,icons=Nexus.staging.Icons,title;NX.assert(self.url!==undefined,"Missing: url");NX.assert(self.activity!==undefined,"Missing: activity");NX.assert(self.message!==undefined,"Missing: message");title=Ext.util.Format.capitalize(self.activity)+" Confirmation";self.messagePanel=NX.create("Ext.Panel",{cls:"nx-staging-repository-ConfirmWindow-messagePanel",border:false,html:Nexus.staging.repository.ConfirmWindow.messageTpl.apply({icon:icons.forActivityName(self.activity).variant("x32").img,message:self.message})});self.formPanel=NX.create("Ext.form.FormPanel",{cls:"nx-staging-repository-ConfirmWindow-formPanel",border:false,monitorValid:true,labelWidth:120,items:self.buildFormItems(),buttons:[{text:"Confirm",formBind:true,scope:self,handler:self.handleConfirm},{xtype:"link-button",text:"Cancel",formBind:false,scope:self,handler:self.handleCancel}],keys:[{key:Ext.EventObject.ESC,scope:self,fn:self.handleCancel}]});self.addEvents("confirm","cancel","success","failure");Ext.apply(self,{cls:"nx-staging-repository-ConfirmWindow",title:title,autoHeight:true,width:400,border:false,modal:true,constrain:true,closable:false,resizable:false,items:[self.messagePanel,self.formPanel],listeners:{show:function(window){self.formPanel.find("name","description")[0].focus(false,100)}}});self.constructor.superclass.initComponent.apply(self,arguments)},buildFormItems:function(){var self=this,items=[];self.customizeFormItems(items);items.push({xtype:"fieldset",title:"Description",items:[{name:"description",xtype:"textarea",height:50,anchor:"100%",hideLabel:true}]});return items},customizeFormItems:function(items){},handleConfirm:function(){var self=this,form,data,mask;self.fireEvent("confirm",self);form=self.formPanel.getForm();data=form.getValues();data=self.customizeFormData(form,data);mask=NX.create("Ext.LoadMask",self.body,{msg:"Please wait..."});mask.show();Ext.Ajax.request({method:"POST",url:self.url,options:{dontForceLogout:true},jsonData:data,scope:self,success:function(response,options){self.handleSuccess(response,options);mask.hide()},failure:function(response,options){self.handleFailure(response,options);mask.hide()}})},customizeFormData:function(form,values){return values},handleCancel:function(){var self=this;self.fireEvent("cancel",self);self.close()},handleSuccess:function(response,options){var self=this;self.fireEvent("success",self,response,options);self.close()},handleFailure:function(response,options){var self=this;self.fireEvent("failure",self,response,options);self.close()}});
NX.define("Nexus.staging.repository.RepositoryView",{extend:"Ext.Panel",mixins:["Nexus.LogAwareMixin"],requires:["Nexus.staging.Icons","Nexus.staging.repository.SummaryView","Nexus.staging.repository.activity.ActivityView","Nexus.staging.repository.ContentView","Nexus.staging.repository.MembersView"],initComponent:function(){var self=this;self.summaryView=NX.create("Nexus.staging.repository.SummaryView");self.activityView=NX.create("Nexus.staging.repository.activity.ActivityView");self.contentView=NX.create("Nexus.staging.repository.ContentView");self.membersView=NX.create("Nexus.staging.repository.MembersView");self.allViews=[self.summaryView,self.activityView,self.contentView,self.membersView];self.tabPanel=NX.create("Ext.TabPanel",{items:self.allViews,activeTab:0,layoutOnTabChange:true});Ext.apply(self,{cls:"nx-staging-repository-RepositoryView",header:true,border:false,layout:"fit",items:self.tabPanel});self.constructor.superclass.initComponent.apply(self,arguments);self.on("deactivate",function(panel){Ext.each(self.allViews,function(view){view.fireEvent("deactivate",view)})});self.on("hide",function(panel){Ext.each(self.allViews,function(view){view.fireEvent("hide",view)})})},enableViews:function(views){var self=this,lastActive=self.tabPanel.getActiveTab();if(views.length===0){throw"At least one view must be enabled"}Ext.each(self.allViews,function(view){if(views.indexOf(view)!==-1){self.tabPanel.unhideTabStripItem(view)}else{self.tabPanel.hideTabStripItem(view)}});if(views.indexOf(lastActive)===-1){self.tabPanel.setActiveTab(0)}else{lastActive.fireEvent("show",lastActive);lastActive.fireEvent("activate",lastActive)}},updateRecord:function(repo){var self=this,iconCls;self.logGroup("Updating record");var views=[self.summaryView,self.activityView];if(!repo.transitioning){if(repo.profileType==="group"&&repo.type!=="released"){views.push(self.membersView)}if(repo.type!=="released"&&!repo.transitioning){views.push(self.contentView)}}iconCls=Nexus.staging.Icons.forRepository(repo).cls;self.setTitle(repo.repositoryId,iconCls);Ext.each(views,function(view){view.updateRecord(repo)});self.enableViews(views);self.logGroupEnd()}});
NX.define("Nexus.staging.repository.RepositoriesMediator",{extend:"Ext.util.Observable",singleton:true,mixins:["Nexus.LogAwareMixin"],requires:["Nexus.staging.profile.ProfileStore","Nexus.staging.repository.RepositoryStore","Nexus.staging.rule.RuleSetStore","Nexus.staging.rule.RuleTypeStore","Nexus.staging.repository.ConfirmWindow"],constructor:function(){this.profileStore=NX.create("Nexus.staging.profile.ProfileStore");this.repositoryStore=NX.create("Nexus.staging.repository.RepositoryStore");this.ruleSetStore=NX.create("Nexus.staging.rule.RuleSetStore");this.ruleTypeStore=NX.create("Nexus.staging.rule.RuleTypeStore");this.addEvents("staging.repositoriesGrid.configureColumns","staging.repositorySummary.configureProperties","staging.profile.submitted","staging.profile.loaded")},refreshHandler:function(){this.logDebug("Refreshing");this.profileStore.reload();this.repositoryStore.reload();this.ruleSetStore.reload();this.ruleTypeStore.reload()},closeHandler:function(selected){this.displayConfirmWindow("close",selected)},dropHandler:function(selected){this.displayConfirmWindow("drop",selected)},releaseHandler:function(selected){this.displayConfirmWindow("release",selected)},promoteHandler:function(selected){this.displayConfirmWindow("promote",selected)},displayConfirmWindow:function(actionName,selected){var self=this,action=self.getActionWords(actionName),selectedIds=self.repositoryIdsForSelection(selected),dialog;dialog=NX.create("Nexus.staging.repository.ConfirmWindow",{activity:actionName,url:Sonatype.config.servicePath+"/staging/bulk/"+action.rest,message:"<p>You are about to <b>"+action.verb+"</b> "+Ext.util.Format.plural(selectedIds.length,"repository","repositories")+".</p><p>This may take some time to complete.</p>",customizeFormItems:function(items){if(actionName==="release"){items.push({xtype:"fieldset",title:"Options",labelSeparator:"",items:[{xtype:"checkbox",name:"autoDropAfterRelease",fieldLabel:"Automatically Drop",helpText:"After the release operation is successful, automatically drop released repositories.  Automatic drop was the default behavior of Nexus 2.3 and earlier.",checked:true}]})}else{if(actionName==="promote"){items.push({xtype:"fieldset",title:"Options",labelSeparator:"",items:[{xtype:"combo",name:"stagingProfileGroup",fieldLabel:"Promotion Profile",emptyText:"Select a profile",mode:"local",store:self.createPromotionProfileStore(selected),displayField:"name",valueField:"id",triggerAction:"all",forceSelection:true,editable:false,selectOnFocus:true,allowBlank:false,required:true}]})}}},customizeFormData:function(form,values){values.stagedRepositoryIds=selectedIds;if(actionName==="release"){values.autoDropAfterRelease=form.findField("autoDropAfterRelease").getValue()}if(actionName==="promote"){values.stagingProfileGroup=form.findField("stagingProfileGroup").getValue()}return{data:values}},listeners:{success:function(window,response,options){self.displaySuccess(action.Noun+" "+Ext.util.Format.plural(selectedIds.length,"repository","repositories"))},failure:function(window,response,options){self.displayFailure(action.Verb+" failed",response)}}});dialog.show()},repositoryIdsForSelection:function(selected){var result=[];Ext.each(selected,function(record){result.push(record.data.repositoryId)});return result},actionWords:{close:{noun:"closing",verb:"close"},drop:{noun:"dropping",verb:"drop"},promote:{noun:"promoting",verb:"promote"},release:{noun:"releasing",verb:"release",rest:"promote"}},getActionWords:function(actionName){var action=this.actionWords[actionName];if(!action.capitalized){action.Noun=Ext.util.Format.capitalize(action.noun);action.Verb=Ext.util.Format.capitalize(action.verb);action.capitalized=true}if(!action.rest){action.rest=action.verb}return action},createPromotionProfileStore:function(records){var self=this,data=[],provider,profileId,profileName;provider=records[0].get("provider");profileId=records[0].get("profileId");profileName=profileId;self.profileStore.each(function(rec){if(rec.get("mode")!=="GROUP"){return}if(rec.get("repositoryType")!==provider){return}if(records.length===1&&profileName===rec.get("name")){return}data.push([rec.get("id"),rec.get("name")])});return NX.create("Ext.data.ArrayStore",{id:0,fields:["id","name"],data:data})},displaySuccess:function(message){Nexus.messages.show("Staging",message);this.repositoryStore.reload()},displayFailure:function(message,response){Sonatype.utils.connectionError(response,message,false);this.repositoryStore.reload()}});
NX.define("Nexus.staging.repository.RepositoriesGrid",{extend:"Ext.grid.GridPanel",mixins:["Nexus.LogAwareMixin"],requires:["Nexus.prefs.DateFormat","Nexus.staging.repository.RepositoriesMediator"],initComponent:function(){var self=this,mediator=Nexus.staging.repository.RepositoriesMediator,icons=Nexus.staging.Icons;self.ds=mediator.repositoryStore;mediator.repositoryStore.on("beforeload",self.rememberSelection,self);mediator.repositoryStore.on("load",self.recallSelection,self);self.loadMask={msg:"Loading...",msgCls:"loading-indicator"};self.emptyText="No staging repositories";self.stripeRows=true;self.sm=NX.create("Ext.grid.CheckboxSelectionModel",{listeners:{selectionchange:{fn:self.selectionChanged,scope:self}}});var columns=[self.sm,{width:25,resizable:false,sortable:false,fixed:true,hideable:false,menuDisabled:true,renderer:function(value,metaData,record){return icons.renderRepositoryWithBadge(record.data)}},{id:"repositoryId",width:250,header:"Repository",dataIndex:"repositoryId",sortable:true},{id:"profileName",width:100,header:"Profile",dataIndex:"profileName",sortable:true},{id:"type",width:60,header:"Status",dataIndex:"type",sortable:true},{id:"releaseRepositoryId",width:110,header:"Release To",dataIndex:"releaseRepositoryId",sortable:true,hidden:true},{id:"parentGroupId",width:100,header:"Promoted To",dataIndex:"parentGroupId",sortable:true,hidden:true},{id:"userId",header:"Owner",dataIndex:"userId",sortable:true,hidden:true},{id:"created",width:150,header:"Created",dataIndex:"created",sortable:true,xtype:"datecolumn",format:Nexus.prefs.DateFormat.forName("datetime")["short"],hidden:true},{id:"updated",width:150,header:"Updated",dataIndex:"updated",sortable:true,xtype:"datecolumn",format:Nexus.prefs.DateFormat.forName("datetime")["short"]},{id:"userAgent",width:100,header:"User Agent",dataIndex:"userAgent",sortable:true,hidden:true},{id:"description",width:100,header:"Description",dataIndex:"description",sortable:true}];Nexus.staging.repository.RepositoriesMediator.fireEvent("staging.repositoriesGrid.configureColumns",columns);self.cm=NX.create("Ext.grid.ColumnModel",{columns:columns});self.autoExpandColumn="description";self.filterLovCombo=NX.create("Ext.ux.form.LovCombo",{triggerAction:"all",mode:"remote",hideOnSelect:false,maxHeight:200,width:250,store:mediator.profileStore,valueField:"id",displayField:"name",allowBlank:true,editable:false,emptyText:"Filter by profile",lastQuery:"",listeners:{scope:self,select:function(combo,record,index){var value=combo.getValue();if(value===""){mediator.repositoryStore.clearFilter(false)}else{mediator.repositoryStore.filterBy(function(rec,id){return value.indexOf(rec.get("profileId"))!==-1})}}}});self.tbar=[{text:"Refresh",tooltip:"Refresh staging repositories",iconCls:icons.get("refresh").cls,handler:function(){mediator.refreshHandler();self.filterLovCombo.reset()}},{text:"Close",itemId:"close",iconCls:icons.get("closeRepository").cls,tooltip:"Close staging repositories",handler:function(){mediator.closeHandler(self.getSelectionModel().getSelections())},disabled:true},{text:"Promote",itemId:"promote",iconCls:icons.get("promoteRepository").cls,tooltip:"Promote staging repositories",handler:function(){mediator.promoteHandler(self.getSelectionModel().getSelections())},disabled:true},{text:"Release",itemId:"release",iconCls:icons.get("releaseRepository").cls,tooltip:"Release staging repositories",handler:function(){mediator.releaseHandler(self.getSelectionModel().getSelections())},disabled:true},{text:"Drop",itemId:"drop",iconCls:icons.get("dropRepository").cls,tooltip:"Drop staging repositories",handler:function(){mediator.dropHandler(self.getSelectionModel().getSelections())},disabled:true},"->",self.filterLovCombo];self.constructor.superclass.initComponent.apply(self,arguments)},selectionChanged:function(sm){var self=this,records,provider,i,mediator=Nexus.staging.repository.RepositoriesMediator,sp=Sonatype.lib.Permissions,closable,promotable,relesable,droppable;function disableAll(){closable=false;promotable=false;relesable=false;droppable=false}disableAll();if(sm.getCount()!==0){closable=sp.checkPermission("nexus:stagingfinish",sp.CREATE);promotable=sp.checkPermission("nexus:stagingpromote",sp.CREATE);relesable=sp.checkPermission("nexus:stagingpromote",sp.CREATE);droppable=sp.checkPermission("nexus:stagingdrop",sp.CREATE);records=sm.getSelections();provider=null;for(i=0;i<records.length;i=i+1){if(records[i].get("transitioning")===true){disableAll();break}if(provider===null){provider=records[i].get("provider")}else{if(provider!==records[i].get("provider")){disableAll();break}}if(records[i].get("type")==="open"){relesable=false;promotable=false}else{if(records[i].get("type")==="closed"){closable=false}else{if(records[i].get("type")==="promoted"){disableAll();break}else{if(records[i].get("type")==="released"){closable=false;relesable=false;promotable=false;break}}}}}if(!mediator.profileStore.hasGroups){promotable=false}}function toggleEnabled(itemId,enable){var button=self.getTopToolbar().getComponent(itemId);NX.assert(button);if(enable){button.enable()}else{button.disable()}}toggleEnabled("close",closable);toggleEnabled("promote",promotable);toggleEnabled("release",relesable);toggleEnabled("drop",droppable)},selectedRecords:undefined,rememberSelection:function(){this.selectedRecords=this.getSelectionModel().getSelections()},recallSelection:function(){var self=this,toSelect=[];if(self.selectedRecords===undefined||self.selectedRecords.length===0){return}Ext.each(self.selectedRecords,function(record){record=self.getStore().getById(record.id);if(!Ext.isEmpty(record)){toSelect.push(record)}});self.getSelectionModel().selectRecords(toSelect)}});
NX.define("Nexus.staging.repository.MembersView",{extend:"Ext.tree.TreePanel",initComponent:function(){var self=this;self.store=NX.create("Ext.data.SimpleStore",{fields:[{name:"id"},{name:"name"},{name:"description"}]});Ext.apply(self,{cls:"nx-staging-repository-MembersView",title:"Members",layout:"fit",animate:false,root:NX.create("Ext.tree.TreeNode",{text:""}),rootVisible:false,enableDD:false,loader:NX.create("Ext.tree.SonatypeTreeLoader",{url:"",baseAttrs:{expanded:true},listeners:{scope:self,loadexception:self.treeLoadExceptionHandler}})});self.constructor.superclass.initComponent.apply(self,arguments)},updateRecord:function(repo){var self=this;self.setRootNode(new Ext.tree.AsyncTreeNode({text:repo.repositoryName,id:Sonatype.config.servicePath+"/staging/profile_repositories/tree/"+repo.repositoryId+"/",expanded:true}))},treeLoadExceptionHandler:function(treeLoader,node,response){var self=this,code=response.status,mb=Sonatype.MessageBox;if(code===503){if(mb.isVisible()){mb.hide()}node.setText(node.text+" (Out of Service)")}else{if(code===404||code===400){if(mb.isVisible()){mb.hide()}node.setText(node.text+(node.isRoot?" (Not Available)":" (Not Found)"))}else{if(code===401||code===403){if(mb.isVisible()){mb.hide()}node.setText(node.text+" (Access Denied)")}}}}});
NX.define("Nexus.staging.repository.RepositoryStore",{extend:"Ext.data.JsonStore",constructor:function(config){var self=this,config=config||{},ST=Ext.data.SortTypes;Ext.apply(config,{url:Sonatype.config.servicePath+"/staging/profile_repositories",root:"data",id:"repositoryId",fields:[{name:"repositoryId"},{name:"repositoryURI"},{name:"profileId"},{name:"profileName"},{name:"profileType"},{name:"policy"},{name:"provider"},{name:"description"},{name:"type"},{name:"created",type:"date",dateFormat:"c"},{name:"updated",type:"date",dateFormat:"c"},{name:"releaseRepositoryId"},{name:"parentGroupId"},{name:"userId",type:"string"},{name:"ipAddress",type:"string"},{name:"userAgent",type:"string"},{name:"notifications",type:"int"},{name:"transitioning",type:"boolean"},{name:"properties"}],sortInfo:{field:"repositoryId",direction:"ASC"}});self.constructor.superclass.constructor.call(self,config)},nameForId:function(id){var record=this.getById(id);if(record){return record.get("name")}else{this.logDebug("Missing repository for ID:",id);return id}}});
NX.define("Nexus.staging.repository.RepositoriesView",{extend:"Ext.Panel",mixins:["Nexus.LogAwareMixin"],requires:["Nexus.staging.Icons","Nexus.staging.repository.RepositoriesGrid","Nexus.staging.repository.RepositoryView","Nexus.staging.repository.RepositoriesMediator"],initComponent:function(){var self=this,icons=Nexus.staging.Icons;Nexus.staging.repository.RepositoriesMediator.refreshHandler();self.masterPanel=NX.create("Nexus.staging.repository.RepositoriesGrid",{region:"center"});self.emptySelectionPanel=NX.create("Ext.Panel",{cls:"nx-staging-repository-RepositoriesView-messagePanel",title:"Empty Selection",iconCls:icons.get("selectionEmpty").cls,html:'<span class="nx-staging-repository-RepositoriesView-messagePanel-text">Please select a staging repository</span>'});self.multiSelectionPanel=NX.create("Ext.Panel",{cls:"nx-staging-repository-RepositoriesView-messagePanel",title:"Multiple Selection",iconCls:icons.get("selectionMulti").cls,html:'<span class="nx-staging-repository-RepositoriesView-messagePanel-text">Multiple staging repositories are selected</span>'});self.repoView=NX.create("Nexus.staging.repository.RepositoryView");self.detailPanel=NX.create("Ext.Panel",{region:"south",minHeight:25,split:true,autoDestroy:false,layout:"card",defaults:{border:false},items:[self.emptySelectionPanel,self.multiSelectionPanel,self.repoView],activeItem:0,listeners:{afterrender:{single:true,fn:function(){self.detailPanel.setHeight(self.getHeight()/2)}}}});Ext.apply(self,{cls:"nx-staging-repository-RepositoriesView",layout:"border",items:[self.masterPanel,self.detailPanel]});self.masterPanel.getSelectionModel().on("selectionchange",self.selectionChanged,self);self.constructor.superclass.initComponent.apply(self,arguments)},selectionChanged:function(sm){var self=this,cardLayout=self.detailPanel.getLayout(),selections=sm.getSelections();self.logDebug("Selection changed:",selections.length);if(selections.length===0){cardLayout.setActiveItem(0)}else{if(selections.length===1){cardLayout.setActiveItem(2);self.repoView.updateRecord(selections[0].data)}else{cardLayout.setActiveItem(1)}}}},function(){var type=this,sp=Sonatype.lib.Permissions;NX.log.debug("Adding global view: "+type.$className);Sonatype.Events.on("nexusNavigationInit",function(panel){panel.add({enabled:sp.checkPermission("nexus:stagingprofilerepos",sp.READ),sectionId:"st-enterprise-staging",title:"Staging Repositories",tabId:"stagingRepositories",tabCode:type});NX.log.debug("Registered global view: "+type.$className)})});
NX.define("Nexus.staging.repository.activity.EventDetail_ruleEvaluate",{extend:"Nexus.staging.repository.activity.EventDetail",getTitle:function(){var id=this.getProperties().typeId;return"Evaluating rule: "+this.getRuleTypeName(id)}});
NX.define("Nexus.staging.repository.activity.EventDetail_repositoryGroupCreated",{extend:"Nexus.staging.repository.activity.EventDetail",getTitle:function(){var count=this.getPropertyValues("member").length;return"Group created with "+Ext.util.Format.plural(count,"member","members")}});
NX.define("Nexus.staging.repository.activity.EventDetail_rulesFailed",{extend:"Nexus.staging.repository.activity.EventDetail",getTitle:function(){var id=this.getProperties().id,failures=this.getProperties().failureCount;failures=parseInt(failures);return Ext.util.Format.plural(failures,"rule")+" failed: "+this.getRuleSetName(id)}});
NX.define("Nexus.staging.repository.activity.EventDetail_repositoryClosed",{extend:"Nexus.staging.repository.activity.EventDetail",getTitle:function(){return"Repository closed"}});
NX.define("Nexus.staging.repository.activity.EventDetail_repositoryCloseFailed",{extend:"Nexus.staging.repository.activity.EventDetail",getTitle:function(){return"Close failed"}});
NX.define("Nexus.staging.repository.activity.DetailSupport",{mixins:["Nexus.LogAwareMixin"],requires:["Nexus.prefs.DateFormat","Nexus.staging.Icons"],statics:{timestamp:function(date){return date.format(Nexus.prefs.DateFormat.forName("datetime")["long"])},headerTpl:NX.create("Ext.XTemplate",'<div class="nx-staging-repository-ActivityView-messagePanel-head">',"{icon}",'<div class="nx-staging-repository-ActivityView-messagePanel-title">{title}</div>','<div class="nx-staging-repository-ActivityView-messagePanel-timestamp">{timestamp}</div>',"</div>",{compiled:true}),noDetailTpl:NX.create("Ext.XTemplate",'<div class="nx-staging-repository-ActivityView-messagePanel-body-nodetail">',"No additional detail provided for event.","</div>",{compiled:true}),propertiesTpl:NX.create("Ext.XTemplate",'<div class="nx-staging-repository-ActivityView-messagePanel-properties">','<tpl if="values.properties">',"<table>",'<tpl for="properties">','<tr class="{[ this.rowclass(xindex) ]}">','<td class="nx-staging-repository-ActivityView-messagePanel-properties-name">{name}</td>','<td class="nx-staging-repository-ActivityView-messagePanel-properties-value">{value}</td>',"</tr>","</tpl>","</table>","</tpl>",'<tpl if="!values.properties">',"{[ Nexus.staging.repository.activity.DetailSupport.noDetailTpl.apply() ]}","</tpl>","</div>",{compiled:true,rowclass:function(xindex){var base="nx-staging-repository-ActivityView-messagePanel-properties-entry-";if(xindex%2===0){return base+"even"}else{return base+"odd"}}})},getIcon:function(){throw"abstract"},getTitle:function(){throw"abstract"},getTemplate:function(){throw"abstract"}});
NX.define("Nexus.staging.repository.activity.EventDetail_repositoryPromoted",{extend:"Nexus.staging.repository.activity.EventDetail",getTitle:function(){return"Repository promoted to group: "+this.getPropertyValues("group")}});
NX.define("Nexus.staging.repository.activity.EventDetail_repositoryPromoteFailed",{extend:"Nexus.staging.repository.activity.EventDetail",getTitle:function(){return"Promotion failed"}});
NX.define("Nexus.staging.repository.activity.EventDetail_repositoryReleaseFailed",{extend:"Nexus.staging.repository.activity.EventDetail",getTitle:function(){return"Released failed"}});
NX.define("Nexus.staging.repository.activity.EventDetail_repositoryDropFailed",{extend:"Nexus.staging.repository.activity.EventDetail",getTitle:function(){return"Drop failed"}});
NX.define("Nexus.staging.repository.activity.EventDetail",{extend:"Nexus.staging.repository.activity.DetailSupport",requires:["Nexus.staging.repository.RepositoriesMediator"],statics:{headerTpl:NX.create("Ext.XTemplate","{[ this.header(values) ]}",{compiled:true,header:function(values){var event=values.data,detail=values.detail;return Nexus.staging.repository.activity.DetailSupport.headerTpl.apply({title:"Event: "+detail.getTitle(),icon:detail.getIcon().variant("x32").img,timestamp:Nexus.staging.repository.activity.DetailSupport.timestamp(event.timestamp)})}}),bodyTmpl:NX.create("Ext.XTemplate","{[ this.properties(values) ]}",{compiled:true,properties:function(values){var event=values.data;return Nexus.staging.repository.activity.DetailSupport.propertiesTpl.apply({properties:event.properties})}}),bodyTplFactories:{ruleEvaluate:[function(event,detail){switch(detail.getPropertyValue("typeId")){case"testing.always-pass":case"testing.always-fail":return NX.create("Ext.XTemplate",'<div align="center">',"<b>OINK?</b>","</div>",{compiled:true});default:return undefined}}],rulePassed:[function(event,detail){switch(detail.getPropertyValue("typeId")){case"testing.always-pass":return NX.create("Ext.XTemplate",'<div align="center">',"<b>OINK!</b>","<br/><br/>",'<img src="',Sonatype.config.resourcePath,'/static/images/pig.png">',"</div>",{compiled:true});default:return undefined}}],ruleFailed:[function(event,detail){switch(detail.getPropertyValue("typeId")){case"testing.always-fail":return NX.create("Ext.XTemplate",'<div align="center">',"<b>DINNER!</b>","<br/><br/>",'<img src="',Sonatype.config.resourcePath,'/static/images/ham.png">',"</div>",{compiled:true});default:return undefined}}]},registerBodyTemplateFactory:function(eventName,factoryFn){var factories=Nexus.staging.repository.activity.EventDetail.bodyTplFactories[eventName];if(factories===undefined){factories=[]}factories.push(factoryFn)},getBodyTemplateFactories:function(event){var factories=Nexus.staging.repository.activity.EventDetail.bodyTplFactories[event.name];if(Ext.isArray(factories)){return factories}else{if(Ext.isFunction(factories)){return[factories]}else{NX.assert(factories===undefined,"Invalid bodyTplFactories entry for event name:",event.name,factories)}}return undefined}},event:undefined,constructor:function(event){NX.assert(event,"Missing event");this.event=event},getIcon:function(){try{return Nexus.staging.Icons.forEventName(this.event.name)}catch(e){this.logError("Missing icon for event: "+this.event.name);return Nexus.staging.Icons.get("bug")}},getTitle:function(){return this.event.name},selectBodyTemplate:function(){var self=this,tpl;var factories=Nexus.staging.repository.activity.EventDetail.getBodyTemplateFactories(self.event);if(factories){var i;for(i=0;i<factories.length;i++){tpl=factories[i](self.event,self);if(tpl){break}}}if(!tpl){tpl=Nexus.staging.repository.activity.EventDetail.bodyTmpl}self.logDebug("Selected body template:",tpl);return tpl},getTemplate:function(){var self=this,bodyTpl=self.selectBodyTemplate();return NX.create("Ext.XTemplate","<div>","{[ this.header(values) ]}",'<div class="nx-staging-repository-ActivityView-messagePanel-body">',"{[ this.body(values) ]}","</div>","</div>",{header:function(values){return Nexus.staging.repository.activity.EventDetail.headerTpl.apply(values)},body:function(values){return bodyTpl.apply(values)}})},cachedProperties:undefined,getProperties:function(){var self=this,result={},value;if(self.cachedProperties!==undefined){return self.cachedProperties}if(Ext.isArray(self.event.properties)){Ext.each(self.event.properties,function(property){value=self.readPropertyValues(property.name);if(Ext.isArray(value)&&value.length===1){value=value[0]}result[property.name]=value})}else{self.logWarn("Event has no properties")}self.cachedProperties=result;return result},readPropertyValues:function(name){var self=this,result=[];if(Ext.isArray(self.event.properties)){Ext.each(self.event.properties,function(property){if(name===property.name){result.push(property.value)}})}else{self.logWarn("Event has no properties")}return result},hasProperty:function(name){var self=this,value=self.getProperties()[name];return value!==undefined&&value.length!==0},getPropertyValues:function(name){var self=this,value=self.getProperties()[name];if(value===undefined){return[]}if(!Ext.isArray(value)){return[value]}return value},getPropertyValue:function(name){return this.getPropertyValues(name)[0]},getRuleSetName:function(ruleSetId){if(ruleSetId==="nx-internal-ruleset"){return"Default Always Run"}return Nexus.staging.repository.RepositoriesMediator.ruleSetStore.nameForId(ruleSetId)},getRuleTypeName:function(ruleTypeId){if(ruleTypeId==="RepositoryWritePolicy"){return"Repository Writable"}return Nexus.staging.repository.RepositoriesMediator.ruleTypeStore.nameForId(ruleTypeId)}});
NX.define("Nexus.staging.repository.activity.DetailManager",{singleton:true,mixins:["Nexus.LogAwareMixin"],requires:["Nexus.staging.repository.activity.ActivityDetail","Nexus.staging.repository.activity.EventDetail","Nexus.staging.repository.activity.EventDetail_repositoryCreated","Nexus.staging.repository.activity.EventDetail_repositoryClosed","Nexus.staging.repository.activity.EventDetail_repositoryCloseFailed","Nexus.staging.repository.activity.EventDetail_repositoryPromoted","Nexus.staging.repository.activity.EventDetail_repositoryPromoteFailed","Nexus.staging.repository.activity.EventDetail_repositoryReleased","Nexus.staging.repository.activity.EventDetail_repositoryReleaseFailed","Nexus.staging.repository.activity.EventDetail_repositoryDropFailed","Nexus.staging.repository.activity.EventDetail_repositoryGroupCreated","Nexus.staging.repository.activity.EventDetail_rulesEvaluate","Nexus.staging.repository.activity.EventDetail_rulesPassed","Nexus.staging.repository.activity.EventDetail_rulesFailed","Nexus.staging.repository.activity.EventDetail_ruleEvaluate","Nexus.staging.repository.activity.EventDetail_rulePassed","Nexus.staging.repository.activity.EventDetail_ruleFailed"],activityDetails:{},eventDetails:{repositoryCreated:"Nexus.staging.repository.activity.EventDetail_repositoryCreated",repositoryGroupCreated:"Nexus.staging.repository.activity.EventDetail_repositoryGroupCreated",repositoryClosed:"Nexus.staging.repository.activity.EventDetail_repositoryClosed",repositoryCloseFailed:"Nexus.staging.repository.activity.EventDetail_repositoryCloseFailed",repositoryPromoted:"Nexus.staging.repository.activity.EventDetail_repositoryPromoted",repositoryPromoteFailed:"Nexus.staging.repository.activity.EventDetail_repositoryPromoteFailed",repositoryReleased:"Nexus.staging.repository.activity.EventDetail_repositoryReleased",repositoryReleaseFailed:"Nexus.staging.repository.activity.EventDetail_repositoryReleaseFailed",repositoryDropFailed:"Nexus.staging.repository.activity.EventDetail_repositoryDropFailed",rulesEvaluate:"Nexus.staging.repository.activity.EventDetail_rulesEvaluate",rulesPassed:"Nexus.staging.repository.activity.EventDetail_rulesPassed",rulesFailed:"Nexus.staging.repository.activity.EventDetail_rulesFailed",ruleEvaluate:"Nexus.staging.repository.activity.EventDetail_ruleEvaluate",rulePassed:"Nexus.staging.repository.activity.EventDetail_rulePassed",ruleFailed:"Nexus.staging.repository.activity.EventDetail_ruleFailed"},getDetailType:function(type,name){var self=this,details,detailType;self.logDebug("Looking up "+type+" detail: "+name);switch(type){case"activity":details=self.activityDetails;break;case"event":details=self.eventDetails;break;default:throw new Error("Invalid type: "+type)}detailType=details[name];if(detailType===undefined){self.logDebug("No detail class configured for "+type+": "+name+"; using default");switch(type){case"activity":detailType="Nexus.staging.repository.activity.ActivityDetail";break;case"event":detailType="Nexus.staging.repository.activity.EventDetail";break}}if(Ext.isString(detailType)){var className=detailType;detailType=NX.obj(className);details[name]=detailType;self.logDebug("Cached "+type+" detail type: "+className)}return detailType},forActivity:function(activity){var detailType=this.getDetailType("activity",activity.name);return new detailType(activity)},forEvent:function(event){var detailType=this.getDetailType("event",event.name);return new detailType(event)}});
NX.define("Nexus.staging.repository.activity.EventDetail_rulesPassed",{extend:"Nexus.staging.repository.activity.EventDetail",getTitle:function(){var id=this.getProperties().id;return"All rules passed: "+this.getRuleSetName(id)}});
NX.define("Nexus.staging.repository.activity.ActivityTreeLoader",{extend:"Nexus.util.TreeLoaderSupport",requires:["Nexus.staging.repository.activity.DetailManager","Nexus.staging.repository.activity.AsyncNodeSupport"],URL_TEMPLATE:NX.create("Ext.Template",Sonatype.config.servicePath+"/staging/repository/{repositoryId}/activity",{compiled:true,disableFormats:true}),constructor:function(config){var self=this,config=config||{};Ext.apply(config,{requestMethod:"GET",suppressStatus:[404],dataUrl:"dynamic"});self.constructor.superclass.constructor.call(self,config);self.on("beforeload",function(loader,node,callback){self.updateDataUrl(node)});self.on("loadexception",function(loader,node,response){if(!node.ui){self.logWarn("Aborting (empty) node creation; node destroyed:",node);return}if(response.status===404){node.appendChild(self.createEmptyNode())}})},updateDataUrl:function(node){var self=this,data=node.attributes.data;NX.assert(data,"Node missing attribute: data");self.dataUrl=self.URL_TEMPLATE.apply(data);self.logDebug("Data URL:",self.dataUrl)},createNodes:function(node,data){var self=this;self.logGroup("Creating nodes; parent:",node.text,node);for(var i=0,len=data.length;i<len;i++){if(!node.ui){self.logWarn("Aborting node creation; parent node destroyed:",node);break}var last=((i+1)===len);var child=self.createActivityNode(data[i],last);if(child){node.appendChild(child)}}self.logGroupEnd()},translateDate:function(object,fieldName){var value=object[fieldName];if(value){object[fieldName]=Date.parseDate(value,"c")}},createActivityNode:function(activity,last){var self=this,node,hasEvents,i,child,detailProvider;hasEvents=Ext.isArray(activity.events)&&activity.events.length>0;self.translateDate(activity,"started");self.translateDate(activity,"stopped");detailProvider=Nexus.staging.repository.activity.DetailManager.forActivity(activity);node=self.createNode({text:detailProvider.getTitle(),iconCls:detailProvider.getIcon().cls,nodeType:"node",leaf:!hasEvents,expanded:last,dataType:"activity",data:activity});if(hasEvents){for(i=0;i<activity.events.length;i++){child=self.createEventNode(activity.events[i]);node.appendChild(child)}}return node},createEventNode:function(event){var self=this,detailProvider;self.translateDate(event,"timestamp");detailProvider=Nexus.staging.repository.activity.DetailManager.forEvent(event);return self.createNode({text:detailProvider.getTitle(),iconCls:detailProvider.getIcon().cls,nodeType:"node",leaf:true,dataType:"event",data:event})},createRootNode:function(){return NX.create("Ext.tree.TreeNode",{text:"root",expanded:true,dataType:"root",data:undefined})},createRepositoryNode:function(repo){var text="Activities";if(window.location.search==="?debug"){text=text+": "+repo.repositoryId}var node=NX.create("Nexus.staging.repository.activity.AsyncNodeSupport",{text:text,expanded:true,dataType:"repository",data:repo});node.on("beforecollapse",function(){return false});return node},createEmptyNode:function(){return NX.create("Ext.tree.TreeNode",{text:"No activity recorded",iconCls:Nexus.staging.Icons.get("warning").cls,nodeType:"node",leaf:true,expanded:true,dataType:"empty",data:undefined})}});
NX.define("Nexus.staging.repository.activity.EventDetail_repositoryReleased",{extend:"Nexus.staging.repository.activity.EventDetail",getTitle:function(){if(!this.getProperties().target){return"Repository released"}else{return"Repository released to: "+this.getProperties().target}}});
NX.define("Nexus.staging.repository.activity.EventDetail_rulesEvaluate",{extend:"Nexus.staging.repository.activity.EventDetail",getTitle:function(){var id=this.getProperties().id;return"Evaluating rules: "+this.getRuleSetName(id)}});
NX.define("Nexus.staging.repository.activity.ActivityDetail",{extend:"Nexus.staging.repository.activity.DetailSupport",statics:{activityTpl:NX.create("Ext.XTemplate","<div>","{[ this.header(values) ]}",'<div class="nx-staging-repository-ActivityView-messagePanel-body">',"{[ this.details(values) ]}","</div>","</div>",{compiled:true,header:function(values){var detail=values.detail;return Nexus.staging.repository.activity.DetailSupport.headerTpl.apply({title:"Activity: "+detail.getTitle(),icon:detail.getIcon().variant("x32").img,timestamp:this.renderDuration(values)})},renderDuration:function(values){var activity=values.data,elapsed;if(!activity.stopped){elapsed=activity.started.getElapsed();return"(Running) "+elapsed+"ms"}elapsed=activity.started.getElapsed(activity.stopped);return""+elapsed+"ms"},details:function(values){var activity=values.data,properties=[];properties.push({name:"started",value:Nexus.staging.repository.activity.DetailSupport.timestamp(activity.started)});if(activity.startedByUserId){properties.push({name:"userId",value:activity.startedByUserId},{name:"ipAddress",value:activity.startedByIpAddress})}if(activity.stopped){properties.push({name:"stopped",value:Nexus.staging.repository.activity.DetailSupport.timestamp(activity.stopped)})}properties.push({name:"events",value:activity.events?activity.events.length:0});return Nexus.staging.repository.activity.DetailSupport.propertiesTpl.apply({properties:properties})}})},activity:undefined,constructor:function(activity){NX.assert(activity,"Missing activity");this.activity=activity},getIcon:function(){try{return Nexus.staging.Icons.forActivityName(this.activity.name)}catch(e){this.logError("Missing icon for activity: "+this.activity.name);return Nexus.staging.Icons.get("bug")}},getTitle:function(){return this.activity.name},getTemplate:function(){return Nexus.staging.repository.activity.ActivityDetail.activityTpl}});
NX.define("Nexus.staging.repository.activity.ActivityView",{extend:"Ext.Panel",mixins:["Nexus.LogAwareMixin"],requires:["Nexus.staging.Icons","Nexus.staging.repository.activity.ActivityTreeLoader","Nexus.staging.repository.activity.DetailManager"],initComponent:function(){var self=this;self.treeLoader=NX.create("Nexus.staging.repository.activity.ActivityTreeLoader");self.treePanel=NX.create("Ext.tree.TreePanel",{cls:"nx-staging-repository-ActivityView-treePanel",border:false,region:"center",minWidth:100,autoScroll:true,loader:self.treeLoader,root:self.treeLoader.createRootNode(),rootVisible:false,listeners:{click:function(node){self.nodeSelected(node)}}});self.messagePanel=NX.create("Ext.Panel",{cls:"nx-staging-repository-ActivityView-messagePanel",border:false,region:"east",minWidth:100,width:"50%",split:true,collapsed:true,collapseMode:"mini",autoScroll:true});Ext.apply(self,{cls:"nx-staging-repository-ActivityView",title:"Activity",border:false,layout:"border",items:[self.treePanel,self.messagePanel]});self.constructor.superclass.initComponent.apply(self,arguments)},hideMessagePanel:function(){var self=this;self.messagePanel.collapse(false);self.messagePanel.hide();self.doLayout()},showMessagePanel:function(){var self=this;self.messagePanel.show();self.messagePanel.expand(false)},nodeSelected:function(node){var self=this,data=node.attributes.data,dataType=node.attributes.dataType,detail;self.logDebug("Selected:",dataType,node.id,node.text);switch(dataType){case"activity":detail=Nexus.staging.repository.activity.DetailManager.forActivity(data);break;case"event":detail=Nexus.staging.repository.activity.DetailManager.forEvent(data);break;case"root":case"repository":case"empty":self.hideMessagePanel();return;default:self.logWarn("Unsupported dataType:",dataType)}detail.getTemplate().overwrite(self.messagePanel.body,{detail:detail,data:data});self.showMessagePanel()},updateRecord:function(repo){var self=this,root,node;node=self.treeLoader.createRepositoryNode(repo);root=self.treePanel.getRootNode();root.removeAll(true);root.appendChild(node);self.hideMessagePanel()}});
NX.define("Nexus.staging.repository.activity.EventDetail_rulePassed",{extend:"Nexus.staging.repository.activity.EventDetail",getTitle:function(){var id=this.getProperties().typeId;return"Passed: "+this.getRuleTypeName(id)}});
NX.define("Nexus.staging.repository.activity.AsyncNodeSupport",{extend:"Ext.tree.AsyncTreeNode",mixins:["Nexus.LogAwareMixin"],constructor:function(config){var self=this,config=config||{};self.constructor.superclass.constructor.call(self,config)},loadComplete:function(deep,anim,callback,scope){if(!this.ui){this.logWarn("Aborting loadComplete callback; node destroyed:",this);return}Nexus.staging.repository.activity.AsyncNodeSupport.superclass.loadComplete.apply(this,arguments)}});
NX.define("Nexus.staging.repository.activity.EventDetail_ruleFailed",{extend:"Nexus.staging.repository.activity.EventDetail",getTitle:function(){var id=this.getProperties().typeId;return"Failed: "+this.getRuleTypeName(id)}});
NX.define("Nexus.staging.repository.activity.EventDetail_repositoryCreated",{extend:"Nexus.staging.repository.activity.EventDetail",getTitle:function(){return"Repository created"}});
NX.define("Nexus.util.TreeLoaderSupport",{extend:"Ext.tree.TreeLoader",mixins:["Nexus.LogAwareMixin"],requestData:function(node,callback,scope){if(this.fireEvent("beforeload",this,node,callback)!==false){if(this.directFn){var args=this.getParams(node);args.push(this.processDirectResponse.createDelegate(this,[{callback:callback,node:node,scope:scope}],true));this.directFn.apply(window,args)}else{this.transId=Ext.Ajax.request({method:this.requestMethod,url:this.dataUrl||this.url,success:this.handleResponse,failure:this.handleFailure,scope:this,argument:{callback:callback,node:node,scope:scope},params:this.getParams(node),suppressStatus:this.suppressStatus})}}else{this.runCallback(callback,scope||node,[])}},processResponse:function(response,node,callback,scope){var json=response.responseText;try{var o=response.responseData||Ext.decode(json);node.beginUpdate();this.createNodes(node,o);node.endUpdate();this.runCallback(callback,scope||node,[node])}catch(e){this.logError("Node creation failed",e);this.handleFailure(response);throw e}},createNodes:function(node,data){throw new Error("abstract")}});
define("Sonatype/repoServer/ProfileEditor",function(){Sonatype.repoServer.ProfileEditor=function(cfg){var config=cfg||{},defaultConfig={uri:Sonatype.config.servicePath+"/staging/profiles",resetButton:true,defaultTimeoutValues:{},dataModifiers:{load:{finishNotifyRoles:function(arr,srcObj,fpanel){fpanel.find("name","finishRoleManager")[0].setSelectedRoleIds(arr,true);return arr},promotionNotifyRoles:function(arr,srcObj,fpanel){fpanel.find("name","promotionRoleManager")[0].setSelectedRoleIds(arr,true);return arr},dropNotifyRoles:function(arr,srcObj,fpanel){fpanel.find("name","dropRoleManager")[0].setSelectedRoleIds(arr,true);return arr},targetGroups:this.importGroupsHelper.createDelegate(this),closeRuleSets:this.importCloseRuleSetsHelper.createDelegate(this),promoteRuleSets:this.importPromoteRuleSetsHelper.createDelegate(this)},submit:{finishNotifyRoles:function(value,fpanel){return fpanel.find("name","finishRoleManager")[0].getSelectedRoleIds()},promotionNotifyRoles:function(value,fpanel){return fpanel.find("name","promotionRoleManager")[0].getSelectedRoleIds()},dropNotifyRoles:function(value,fpanel){return fpanel.find("name","dropRoleManager")[0].getSelectedRoleIds()},targetGroups:this.exportGroupsHelper.createDelegate(this),closeRuleSets:this.exportCloseRuleSetsHelper.createDelegate(this),promoteRuleSets:this.exportPromoteRuleSetsHelper.createDelegate(this),autoStagingDisabled:function(value,fpanel){if(value===true||value===false){return value}else{return"true"===value}},repositoriesSearchable:function(value,fpanel){if(value===true||value===false){return value}else{return"false"===value}}}},validationModifiers:{targetGroups:function(error,fpanel){fpanel.find("name","targetGroups")[0].markTreeInvalid(null,error.msg)}},referenceData:{id:"",name:"",repositoryTemplateId:"",repositoryType:"",repositoryTargetId:"",targetGroups:[],finishNotifyRoles:[],promotionNotifyRoles:[],dropNotifyRoles:[],finishNotifyEmails:"",promotionNotifyEmails:"",dropNotifyEmails:"",closeRuleSets:[],promoteRuleSets:[],promotionTargetRepository:"",dropNotifyCreator:true,finishNotifyCreator:true,promotionNotifyCreator:true,autoStagingDisabled:false,repositoriesSearchable:true,mode:"",properties:{}}};Ext.apply(this,config,defaultConfig);this.currentTemplate=undefined;this.selectionStrategyStore=new Ext.data.SimpleStore({fields:["value","display"],data:[[false,"Explicit or Implicit - selected by ID or Nexus will calculate match"],[true,"Explicit Only - only selected by ID"]]});this.templateStore=new Ext.data.JsonStore({root:"data",id:"id",fields:[{name:"resourceURI"},{name:"repoType"},{name:"repoPolicy"},{name:"id"},{name:"name",sortType:Ext.data.SortTypes.asUCString,convert:this.calculateTemplateName},{name:"format"}],sortInfo:{field:"name",direction:"ASC"},url:Sonatype.config.repos.urls.repoTemplates,autoLoad:false,listeners:{load:{fn:function(store,records,options){Sonatype.repoServer.ProfileEditor.prototype.repositoryTemplateFilter(store);var combo=this.find("name","repositoryTemplateId")[0],nameField=this.find("name","name")[0];combo.doQuery(combo.allQuery,true);nameField.focus()},scope:this}}});this.rulesetStore=new Ext.data.JsonStore({root:"data",id:"id",fields:[{name:"id"},{name:"name",sortType:Ext.data.SortTypes.asUCString}],sortInfo:{field:"name",direction:"ASC"},url:Sonatype.config.servicePath+"/staging/rule_sets",autoLoad:false});this.repoTypeStore=new Ext.data.JsonStore({root:"data",id:"roleHint",fields:[{name:"description"},{name:"roleHint",sortType:Ext.data.SortTypes.asUCString}],sortInfo:{field:"description",direction:"ASC"},url:Sonatype.config.repos.urls.repoTypes,autoLoad:false});this.checkPayload();this.COMBO_WIDTH=376;this.items=[];if(!this.isNew){if(!this.groupProfile){this.items.push({xtype:"panel",layout:"column",items:[{xtype:"panel",cls:"x-form-item",html:"Profile ID",height:21,width:205},{xtype:"panel",cls:"x-form-item",html:this.payload.get("id")}]});this.items.push({xtype:"panel",layout:"column",items:[{xtype:"panel",cls:"x-form-item",html:"Deploy URL",height:21,width:205},{xtype:"panel",cls:"x-form-item",html:this.payload.get("deployURI")}]})}else{this.items.push({xtype:"panel",layout:"column",items:[{xtype:"panel",cls:"x-form-item",html:"Profile ID",height:21,width:205},{xtype:"panel",cls:"x-form-item",html:this.payload.get("id")}]})}}this.items.push({xtype:"textfield",fieldLabel:"Profile Name",itemCls:"required-field",helpText:"Staging profile name.",name:"name",width:this.COMBO_WIDTH,allowBlank:false,disabled:!this.isNew});if(this.groupProfile){this.items.push({xtype:"textfield",fieldLabel:"Staging Mode",itemCls:"required-field",helpText:"The source(s) this profile will accept artifacts from, either from the staging deploy URL, or staging upload via the UI, or both.",name:"modeInput",width:this.COMBO_WIDTH,allowBlank:false,disabled:true},{xtype:"hidden",name:"mode"},{xtype:"hidden",value:false,name:"autoStagingDisabled"},{xtype:"hidden",value:true,name:"repositoriesSearchable"})}else{this.items.push({xtype:"combo",fieldLabel:"Profile Selection Strategy",itemCls:"required-field",helpText:"'Explicit or Implicit' will include this profile as a possible match using user agent, IP address, username and repository target if the profile ID is not specified explicitly. 'Explicit Only' means this profile will only be selected when identified by profile ID.",name:"autoStagingDisabledComboName",hiddenName:"autoStagingDisabled",store:this.selectionStrategyStore,displayField:"display",valueField:"value",width:this.COMBO_WIDTH,listWidth:this.COMBO_WIDTH,editable:false,forceSelection:true,mode:"local",triggerAction:"all",emptyText:"Select...",selectOnFocus:true,allowBlank:false});this.items.push({xtype:"checkbox",checked:true,fieldLabel:"Searchable Repositories",itemCls:"required-field",helpText:"When enabled, repositories created using this profile are indexed and searchable. Setting applies only to new repositories.",name:"repositoriesSearchable",width:this.COMBO_WIDTH});this.items.push({xtype:"combo",fieldLabel:"Staging Mode",itemCls:"required-field",helpText:"The source(s) this profile will accept artifacts from, either from the staging deploy URL, or staging upload via the UI, or both.",name:"mode",store:this.modeStore,displayField:"display",valueField:"value",width:this.COMBO_WIDTH,listWidth:this.COMBO_WIDTH,editable:false,forceSelection:true,mode:"local",triggerAction:"all",emptyText:"Select...",selectOnFocus:true,allowBlank:false})}this.items.push({xtype:"combo",fieldLabel:"Template",itemCls:"required-field",helpText:"Template used to create staging repositories.",name:"repositoryTemplateId",width:this.COMBO_WIDTH,listWidth:this.COMBO_WIDTH,store:this.templateStore,displayField:"name",valueField:"id",editable:false,forceSelection:true,mode:"local",triggerAction:"all",emptyText:"Select...",selectOnFocus:true,allowBlank:false,listeners:{select:{fn:this.templateSelectHandler,scope:this}}});if(!this.groupProfile){this.items.push({xtype:"combo",fieldLabel:"Repository Target",itemCls:"required-field",helpText:"Repository target that will cause this profile to be selected.",name:"repositoryTargetId",store:this.targetStore,displayField:"name",valueField:"id",width:this.COMBO_WIDTH,listWidth:this.COMBO_WIDTH,editable:false,forceSelection:true,mode:"local",triggerAction:"all",emptyText:"Select...",selectOnFocus:true,allowBlank:false,lastQuery:""});this.items.push({xtype:"combo",fieldLabel:"Release Repository",helpText:"A Repository that will be used to release all staged repositories to.",name:"promotionTargetRepository",width:this.COMBO_WIDTH,itemCls:"required-field",listWidth:this.COMBO_WIDTH,store:this.filteredRepoStore,displayField:"name",valueField:"id",editable:false,forceSelection:false,mode:"local",required:true,triggerAction:"all",emptyText:"Select...",selectOnFocus:true,allowBlank:false,lastQuery:""})}Nexus.staging.repository.RepositoriesMediator.fireEvent("staging.profile.loaded",this.items,this.payload.get("properties"),"properties");this.items.push({xtype:"textfield",fieldLabel:"Content Type",itemCls:"required-field",helpText:'The type of the generated staging repositories (e.g. "maven1", "maven2").',name:"repositoryType",width:this.COMBO_WIDTH,allowBlank:false,disabled:true},{xtype:"twinpanelchooser",titleLeft:"Target Groups",titleRight:"Available Groups",name:"targetGroups",valueField:"id",store:this.groupStore,halfSize:true,required:true,validateLeftItems:true,validateLeftItemsText:"Invalid target group selected."},{xtype:"fieldset",checkboxToggle:false,title:"Close Repository Notification Settings",anchor:Sonatype.view.FIELDSET_OFFSET,collapsible:true,autoHeight:true,layoutConfig:{labelSeparator:""},items:[{xtype:"textfield",fieldLabel:"Email Addresses",helpText:"Comma seperated list of email addresses to send notifications to.",name:"finishNotifyEmails",width:this.COMBO_WIDTH},{xtype:"rolemanager",name:"finishRoleManager",height:200,width:581,usePrivileges:false,doValidation:false,style:"margin-top: 10px;border: 1px solid #B5B8C8;"},{xtype:"checkbox",checked:true,fieldLabel:"Notify creator",helpText:"Notify the repository creator (the user who uploaded the repository content) if the repository gets closed.",name:"finishNotifyCreator",width:this.COMBO_WIDTH}]},{xtype:"fieldset",checkboxToggle:false,title:"Promote Repository Notification Settings",anchor:Sonatype.view.FIELDSET_OFFSET,collapsible:true,autoHeight:true,layoutConfig:{labelSeparator:""},items:[{xtype:"textfield",fieldLabel:"Email Addresses",helpText:"Comma seperated list of email addresses to send notifications to.",name:"promotionNotifyEmails",width:this.COMBO_WIDTH},{xtype:"rolemanager",name:"promotionRoleManager",height:200,width:581,usePrivileges:false,doValidation:false,style:"margin-top: 10px;border: 1px solid #B5B8C8;"},{xtype:"checkbox",checked:true,fieldLabel:"Notify creator",helpText:"Notify the repository creator (the user who uploaded the repository content) if the repository gets promoted.",name:"promotionNotifyCreator",width:this.COMBO_WIDTH}]},{xtype:"fieldset",checkboxToggle:false,title:"Drop Repository Notification Settings",anchor:Sonatype.view.FIELDSET_OFFSET,collapsible:true,autoHeight:true,layoutConfig:{labelSeparator:""},items:[{xtype:"textfield",fieldLabel:"Email Addresses",helpText:"Comma seperated list of email addresses to send notifications to.",name:"dropNotifyEmails",width:this.COMBO_WIDTH},{xtype:"rolemanager",name:"dropRoleManager",height:200,width:581,usePrivileges:false,doValidation:false,style:"margin-top: 10px;border: 1px solid #B5B8C8;"},{xtype:"checkbox",checked:true,fieldLabel:"Notify creator",helpText:"Notify the repository creator (the user who uploaded the repository content) if the repository gets dropped.",name:"dropNotifyCreator",width:this.COMBO_WIDTH}]},{xtype:"fieldset",checkboxToggle:false,title:"Close Repository Staging Rulesets",anchor:Sonatype.view.FIELDSET_OFFSET,collapsible:true,autoHeight:true,layoutConfig:{labelSeparator:""},items:[{xtype:"twinpanelchooser",titleLeft:"Rulesets",titleRight:"Available Rulesets",name:"closeRuleSets",valueField:"id",store:this.rulesetStore,halfSize:true}]},{xtype:"fieldset",checkboxToggle:false,title:"Promote Repository Staging Rulesets",anchor:Sonatype.view.FIELDSET_OFFSET,collapsible:true,autoHeight:true,layoutConfig:{labelSeparator:""},items:[{xtype:"twinpanelchooser",titleLeft:"Rulesets",titleRight:"Available Rulesets",name:"promoteRuleSets",valueField:"id",store:this.rulesetStore,halfSize:true}]},{xtype:"hidden",name:"id"});Sonatype.repoServer.ProfileEditor.superclass.constructor.call(this,{dataStores:[this.templateStore,this.rulesetStore,this.repoTypeStore],listeners:{submit:{fn:this.submitHandler,scope:this},load:{fn:this.loadHandler,scope:this}}})};Ext.extend(Sonatype.repoServer.ProfileEditor,Sonatype.ext.FormPanel,{saveHandler:function(button,event){Nexus.staging.repository.RepositoriesMediator.fireEvent("staging.profile.submitted",this.referenceData.properties);if(this.isValid()){this.form.doAction("sonatypeSubmit",{method:this.getSaveMethod(),url:this.getActionURL(),waitMsg:this.isNew?"Creating a new record...":"Updating records...",fpanel:this,validationModifiers:this.validationModifiers,dataModifiers:this.dataModifiers?this.dataModifiers.submit:{},serviceDataObj:this.referenceData,isNew:this.isNew})}},loadData:function(){if(this.isNew){this.form.reset();this.fireEvent("load",this.form)}else{this.form.doAction("sonatypeLoad",{url:this.getActionURL(),method:"GET",fpanel:this,dataModifiers:this.dataModifiers.load,scope:this})}},isValid:function(){return this.form.isValid()&&this.find("name","targetGroups")[0].validate()},loadHandler:function(form,action,receivedData){if(this.groupProfile){this.find("name","modeInput")[0].setRawValue("Group");this.find("name","mode")[0].setRawValue("GROUP");this.templateStore.filterBy(function(rec,id){return rec.get("repoType")==="group"})}else{this.templateStore.filterBy(function(rec,id){return rec.get("repoType")==="hosted"&&(rec.get("format")==="maven1"||rec.get("format")==="maven2")});if(receivedData){var templateRec=this.templateStore.getById(receivedData.repositoryTemplateId);this.filterTemplateSelectHandler(templateRec)}}},submitHandler:function(form,action,receivedData){if(this.isNew){receivedData.sTargetGroups=this.joinGroups(receivedData.targetGroups);receivedData.sTarget=this.getRepositoryTarget(receivedData.repositoryTargetId);receivedData.sPromotionTargetRepository=this.getRepoName(receivedData.promotionTargetRepository);receivedData.sMode=this.getModeName(receivedData.mode);return}var rec=this.payload;rec.beginEdit();rec.set("name",receivedData.name);rec.set("repositoryTemplateId",receivedData.repositoryTemplateId);rec.set("repositoryType",receivedData.repositoryType);rec.set("targetGroups",receivedData.targetGroups);rec.set("sTargetGroups",this.joinGroups(receivedData.targetGroups));rec.set("currentRepositoryIds",receivedData.currentRepositoryIds);rec.set("repositoryTargetId",receivedData.repositoryTargetId);rec.set("sTarget",this.getRepositoryTarget(receivedData.repositoryTargetId));rec.set("finishNotifyRoles",receivedData.finishNotifyRoles);rec.set("promotionNotifyRoles",receivedData.promotionNotifyRoles);rec.set("dropNotifyRoles",receivedData.dropNotifyRoles);rec.set("closeRuleSets",receivedData.closeRuleSets);rec.set("promoteRuleSets",receivedData.promoteRuleSets);rec.set("promotionTargetRepository",receivedData.promotionTargetRepository);rec.set("sPromotionTargetRepository",this.getRepoName(receivedData.promotionTargetRepository));rec.set("mode",receivedData.mode);rec.set("sMode",this.getModeName(receivedData.mode));rec.set("deployURI",receivedData.deployURI);rec.set("properties",receivedData.properties);rec.commit();rec.endEdit()},exportGroupsHelper:function(value,formPanel){return formPanel.find("name","targetGroups")[0].getValue()},importGroupsHelper:function(value,parent,formPanel){formPanel.find("name","targetGroups")[0].setValue(value);return value},importCloseRuleSetsHelper:function(value,parent,formPanel){formPanel.find("name","closeRuleSets")[0].setValue(value);return value},exportCloseRuleSetsHelper:function(value,formPanel){return formPanel.find("name","closeRuleSets")[0].getValue()},importPromoteRuleSetsHelper:function(value,parent,formPanel){formPanel.find("name","promoteRuleSets")[0].setValue(value);return value},exportPromoteRuleSetsHelper:function(value,formPanel){return formPanel.find("name","promoteRuleSets")[0].getValue()},filterTemplateSelectHandler:function(record){this.currentTemplate=record.get("id");var format=record.get("format");if(this.payload.get("mode")!=="GROUP"){this.targetStore.filterBy(function(rec,id){return rec.get("contentClass")===format});this.filteredRepoStore.filterBy(function(rec,id){return rec.get("format")===format});this.groupStore.filterBy(function(rec,id){return rec.get("format")===format})}},templateSelectHandler:function(combo,record,index){var reset=this.currentTemplate!==record.get("id"),groupsField=this.find("name","targetGroups")[0],format=record.get("format");this.filterTemplateSelectHandler(record);if(reset&&this.payload.get("mode")!=="GROUP"){this.find("name","repositoryTargetId")[0].reset();this.find("name","promotionTargetRepository")[0].reset()}if(reset){groupsField.setValue([]);groupsField.loadStore();groupsField.clearInvalid()}this.find("name","repositoryType")[0].setRawValue(format)},repositoryTemplateFilter:function(store){var rec,policy,i,records;records=store.getRange();for(i=records.length-1;i>=0;i=i-1){rec=records[i];policy=rec.get("repoPolicy");if(!(rec.get("format")==="maven2"&&rec.get("repoType")!=="proxy"&&(policy==="RELEASE"||policy===""))){store.remove(rec)}}}});Sonatype.Events.addListener("profileViewInit",function(cardPanel,rec,gridPanel){var sp=Sonatype.lib.Permissions,data=[],repoData,filteredRepoStore,i,repoRec;if(sp.checkPermission("nexus:stagingprofiles",sp.READ)&&(sp.checkPermission("nexus:stagingprofiles",sp.CREATE)||sp.checkPermission("nexus:stagingprofiles",sp.DELETE)||sp.checkPermission("nexus:stagingprofiles",sp.EDIT))){for(i=0;i<gridPanel.repoStore.getCount();i=i+1){repoRec=gridPanel.repoStore.getAt(i);if(repoRec.get("repoType")==="hosted"&&repoRec.get("repoPolicy")!=="SNAPSHOT"){repoData=[repoRec.get("id"),repoRec.get("name"),repoRec.get("format")];data.push(repoData)}}filteredRepoStore=new Ext.data.SimpleStore({fields:[{name:"id"},{name:"name"},{name:"format"},{name:"repoPolicy"}],data:data});cardPanel.add(new Sonatype.repoServer.ProfileEditor({name:"configuration",groupStore:gridPanel.groupStore,targetStore:gridPanel.targetStore,repoStore:gridPanel.repoStore,filteredRepoStore:filteredRepoStore,joinGroups:gridPanel.joinGroups,modeStore:gridPanel.modeStore,fullModeStore:gridPanel.fullModeStore,getRepositoryTarget:gridPanel.getRepositoryTarget,getRepoName:gridPanel.getRepoName,getModeName:gridPanel.getModeName,tabTitle:"Configuration",payload:rec,groupProfile:rec.get("mode")==="GROUP"}))}})});
define("Sonatype/repoServer/StagingPanel",function(){Sonatype.repoServer.StagingPanel=function(cfg){var i,sp=Sonatype.lib.Permissions,toolbar=[],updateGridView,_this=this,config=cfg||{},defaultConfig={title:"Staging Profiles"};Ext.apply(this,config,defaultConfig);this.targetStore=new Ext.data.JsonStore({root:"data",id:"resourceURI",fields:[{name:"id"},{name:"name",sortType:Ext.data.SortTypes.asUCString},{name:"contentClass"}],sortInfo:{field:"name",direction:"ASC"},url:Sonatype.config.repos.urls.repoTargets,autoLoad:false,listeners:{load:{fn:function(store,recs,opts){for(i=recs.length-1;i>=0;i--){var rec=recs[i];if(rec.get("contentClass")!="maven1"&&rec.get("contentClass")!="maven2"){store.remove(rec)}}},scope:this}}});this.groupStore=new Ext.data.JsonStore({root:"data",id:"id",fields:[{name:"resourceURI"},{name:"id"},{name:"name",sortType:Ext.data.SortTypes.asUCString},{name:"format"},{name:"userManaged"}],sortInfo:{field:"name",direction:"ASC"},url:Sonatype.config.repos.urls.groups,autoLoad:false,listeners:{load:{fn:function(store,recs,opts){for(var i=recs.length-1;i>=0;i--){var rec=recs[i];if(!rec.get("userManaged")){store.remove(rec)}}},scope:this}}});this.repoStore=new Ext.data.JsonStore({root:"data",id:"id",fields:[{name:"resourceURI"},{name:"id"},{name:"name",sortType:Ext.data.SortTypes.asUCString},{name:"format"},{name:"repoType"},{name:"repoPolicy"}],sortInfo:{field:"name",direction:"ASC"},url:Sonatype.config.repos.urls.repositories,autoLoad:false});this.modeStore=new Ext.data.SimpleStore({fields:["value","display"],data:[["BOTH","Deploy and UI Upload"],["DEPLOY","Deploy"],["UPLOAD","UI Upload"]]});this.fullModeStore=new Ext.data.SimpleStore({fields:["value","display"],data:[["BOTH","Deploy and UI Upload"],["DEPLOY","Deploy"],["UPLOAD","UI Upload"],["GROUP","Group"]]});this.joinGroups=function(value,parent){var s="";for(var i=0;i<value.length;i++){if(i>0){s+=", "}if(value[i]){var rec=this.groupStore.getAt(this.groupStore.find("id",value[i]));if(rec){s+=rec.get("name")}}}return s};this.getRepositoryTarget=function(val,parent){if(val){var rec=this.targetStore.getAt(this.targetStore.find("id",val));if(rec){return rec.get("name")}}return""};this.getRepoName=function(value,parent){if(value){var rec=this.repoStore.getAt(this.repoStore.find("id",new RegExp("^"+value+"$")));if(rec){return rec.get("name")}}return""};this.getModeName=function(value,parent){if(value){var rec=this.fullModeStore.getAt(this.fullModeStore.find("value",value));if(rec){return rec.get("display")}}return""};if(sp.checkPermission("nexus:stagingprofileorder",sp.CREATE)){toolbar.push({id:"profile-move-up-button",text:"Move Up",icon:Sonatype.config.resourcePath+"/images/icons/move-up.gif",cls:"x-btn-text-icon",tooltip:{title:"Profile Ordering",text:"Move the profile up in the list priority."},handler:this.moveUpResourceHandler,scope:this},{id:"profile-move-down-button",text:"Move Down",icon:Sonatype.config.resourcePath+"/images/icons/move-down.gif",cls:"x-btn-text-icon",tooltip:{title:"Profile Ordering",text:"Move the profile down in the list priority."},handler:this.moveDownResourceHandler,scope:this},{id:"profile-save-order-button",text:"Save Order",icon:Sonatype.config.extPath+"/resources/images/default/dd/drop-yes.gif",cls:"x-btn-text-icon",tooltip:{title:"Profile Ordering",text:"Save the current profile priority order."},handler:this.saveOrderResourceHandler,scope:this})}var mask;var latch=0;var dataStoreLoader=function(){latch=latch+1;if(latch>=_this.dataStores.length){_this.dataStore.load()}};var dataStores=[this.targetStore,this.groupStore,this.repoStore];for(var j=0;j<dataStores.length;j++){var store=dataStores[j];store.on("load",dataStoreLoader,_this,{single:true})}Sonatype.repoServer.StagingPanel.superclass.constructor.call(this,{dataStores:dataStores,addMenuInitEvent:"profileAddMenuInit",deleteButton:sp.checkPermission("nexus:stagingprofiles",sp.DELETE),rowClickEvent:"profileViewInit",url:Sonatype.config.servicePath+"/staging/profiles",dataAutoLoad:false,tabbedChildren:true,tbar:toolbar,dataSortInfo:{field:"order",direction:"asc"},columns:[{name:"resourceURI"},{name:"id"},{name:"name",header:"Name",width:100,renderer:function(value,metadata,record,rowIndex,colIndex,store){return record.get("mode")=="GROUP"?("<b>"+value+"</b>"):value}},{name:"mode"},{name:"sMode",header:"Mode",width:150,mapping:"mode",convert:this.getModeName.createDelegate(this)},{name:"repositoryTargetId"},{name:"sTarget",header:"Repo Target",width:100,mapping:"repositoryTargetId",convert:this.getRepositoryTarget.createDelegate(this)},{name:"currentRepositoryIds"},{name:"order",sortType:Ext.data.SortTypes.asInt},{name:"finishNotifyRoles"},{name:"promotionNotifyRoles"},{name:"promotionTargetRepository"},{name:"deployURI"},{name:"sPromotionTargetRepository",header:"Release Repository",width:200,mapping:"promotionTargetRepository",convert:this.getRepoName.createDelegate(this)},{name:"targetGroups"},{name:"sTargetGroups",header:"Target Groups",width:150,mapping:"targetGroups",convert:this.joinGroups.createDelegate(this),autoExpand:true},{name:"properties"}]});this.gridPanel.on("render",function(){if(!this.dataStore.isLoaded){mask=new Ext.LoadMask(_this.gridPanel.el);mask.show()}},_this,{single:true,delay:100});this.dataStore.on("load",function(){if(mask){mask.hide()}})};Ext.extend(Sonatype.repoServer.StagingPanel,Sonatype.panels.GridViewer,{moveUpResourceHandler:function(){if(this.gridPanel.getSelectionModel().hasSelection()){var rec=this.gridPanel.getSelectionModel().getSelected();if(rec){var i=this.gridPanel.getStore().indexOf(rec);if(i>0){this.gridPanel.getStore().remove(rec);this.gridPanel.getStore().insert(i-1,rec);this.gridPanel.getSelectionModel().selectRecords([rec],false)}}}},moveDownResourceHandler:function(){if(this.gridPanel.getSelectionModel().hasSelection()){var rec=this.gridPanel.getSelectionModel().getSelected();if(rec){var i=this.gridPanel.getStore().indexOf(rec);if(i<(this.gridPanel.getStore().getCount()-1)){this.gridPanel.getStore().remove(rec);this.gridPanel.getStore().insert(i+1,rec);this.gridPanel.getSelectionModel().selectRecords([rec],false)}}}},saveOrderResourceHandler:function(){var idList=[];for(var i=0;i<this.gridPanel.getStore().getCount();i++){var rec=this.gridPanel.getStore().getAt(i);if(rec.data.resourceURI!="new"){idList[idList.length]=rec.data.id}}Sonatype.utils.defaultToNo();Sonatype.MessageBox.show({animEl:this.gridPanel.getEl(),title:"Save Profile Order",msg:"Save the current order of the Profiles?",buttons:Sonatype.MessageBox.YESNO,scope:this,icon:Sonatype.MessageBox.QUESTION,fn:function(btnName){if(btnName=="yes"||btnName=="ok"){Ext.Ajax.request({callback:this.saveOrderCallback,scope:this,method:"POST",url:Sonatype.config.servicePath+"/staging/profile_order",jsonData:{data:idList}})}}})},saveOrderCallback:function(options,isSuccess,response){if(!isSuccess){Sonatype.utils.connectionError(response,"The server did not save the order of the profiles.")}}});Sonatype.Events.addListener("nexusNavigationPostInit",function(nexusPanel){nexusPanel.insert(2,{title:"Build Promotion",id:"st-enterprise-staging"});nexusPanel.add({enabled:Sonatype.lib.Permissions.checkPermission("nexus:stagingprofiles",Sonatype.lib.Permissions.READ),sectionId:"st-enterprise-staging",title:"Staging Profiles",tabId:"stagingProfiles",tabCode:Sonatype.repoServer.StagingPanel})});Sonatype.Events.addListener("profileAddMenuInit",function(menu){var sp=Sonatype.lib.Permissions;if(sp.checkPermission("nexus:stagingprofiles",sp.CREATE)){var createProfileFunc=function(container,rec,item,e){rec.beginEdit();if(item.groupMode){rec.set("mode","GROUP")}rec.set("resourceURI","new");rec.set("targetGroups",[]);rec.set("finishNotifyRoles",[]);rec.set("promotionNotifyRoles",[]);rec.set("properties",{});rec.commit();rec.endEdit()};menu.add(["-",{text:"Staging Profile",autoCreateNewRecord:true,handler:createProfileFunc}]);menu.add(["-",{text:"Build Promotion Profile",autoCreateNewRecord:true,handler:createProfileFunc,groupMode:true}])}})});
define("Sonatype/repoServer/StagingRuleSet",function(){Sonatype.repoServer.StagingRuleSet=function(cfg){var config=cfg||{},defaultConfig={title:"Staging Ruleset"},sp=Sonatype.lib.Permissions,toolbar=[];Ext.apply(this,config,defaultConfig);Sonatype.repoServer.StagingRuleSet.superclass.constructor.call(this,{url:Sonatype.config.servicePath+"/staging/rule_sets",tbar:toolbar,dataAutoLoad:false,tabbedChildren:true,addMenuInitEvent:"rulesetAddMenuInit",deleteButton:sp.checkPermission("nexus:stagingrulesets",sp.DELETE),rowClickEvent:"rulesetViewInit",dataSortInfo:{field:"name",direction:"asc"},columns:[{name:"resourceURI"},{name:"id"},{name:"name",header:"Name",width:100},{name:"description",header:"Description",width:200},{name:"rules"}]});this.dataStore.load()};Ext.extend(Sonatype.repoServer.StagingRuleSet,Sonatype.panels.GridViewer,{});Sonatype.Events.addListener("nexusNavigationInit",function(nexusPanel){nexusPanel.add({enabled:Sonatype.lib.Permissions.checkPermission("nexus:stagingrulesets",Sonatype.lib.Permissions.READ),sectionId:"st-enterprise-staging",title:"Staging Ruleset",tabId:"staging-ruleset",tabCode:Sonatype.repoServer.StagingRuleSet})});Sonatype.Events.addListener("rulesetAddMenuInit",function(menu){var sp=Sonatype.lib.Permissions;if(sp.checkPermission("nexus:stagingrulesets",sp.CREATE)){menu.add(["-",{text:"Ruleset",autoCreateNewRecord:true,handler:function(container,rec,item,e){rec.beginEdit();rec.set("resourceURI","new");rec.set("rules",[]);rec.commit();rec.endEdit()}}])}})});
define("Sonatype/repoServer/RulesetEditor",["Nexus/staging/rule/RuleTypeStore"],function(){Sonatype.repoServer.RulesetEditor=function(cfg){var config=cfg||{},defaultConfig={region:"center",width:"100%",height:"100%",autoScroll:true,border:false,frame:true,collapsible:false,collapsed:false,buttonAlign:"center"},checkColumn=new Ext.grid.CheckColumn({header:"Enabled",dataIndex:"enabled",width:60});Ext.apply(this,config,defaultConfig);this.isNew=this.payload.data.id?false:true;this.ruleTypeDataStore=NX.create("Nexus.staging.rule.RuleTypeStore",{autoLoad:true,filterTesting:window.location.search!=="?debug"});this.ruleStore=new Ext.data.SimpleStore({id:0,fields:[{name:"name",sortType:Ext.data.SortTypes.asUCString},{name:"enabled"},{name:"typeId"},{name:"typeName"},{name:"properties"}],sortInfo:{field:"name",direction:"ASC"}});Sonatype.repoServer.RulesetEditor.superclass.constructor.call(this,{items:[{xtype:"hidden",name:"id"},{xtype:"textfield",fieldLabel:"Name",htmlDecode:true,helpText:"The name of the rule set",itemCls:"required-field",name:"name",width:250,allowBlank:false},{xtype:"textfield",fieldLabel:"Description",htmlDecode:true,helpText:"The description of the rule set",name:"description",width:250},{xtype:"fieldset",title:"Rules",name:"rulesFieldSet",collapsible:false,autoHeight:true,items:[{xtype:"panel",layout:"table",layougConfig:{columns:2},style:"padding-bottom: 10px",items:[{xtype:"combo",fieldLabel:"Rule Type",helpText:"The type of the rule",name:"ruleType",width:530,store:this.ruleTypeDataStore,clearFilterOnReset:false,displayField:"name",valueField:"id",editable:false,emptyText:"Select...",selectOnFocus:true,triggerAction:"all",lastQuery:"",forceSelection:true,itemCls:"required-field",mode:"local"},{xtype:"button",name:"ruleAdd",text:"Add",handler:this.ruleAddHandler,scope:this,style:"padding-left: 30px"}]},{xtype:"editorgrid",name:"rulesGrid",title:"Applied Rules",autoExpandColumn:"type-column",width:600,height:160,frame:true,store:this.ruleStore,plugins:checkColumn,colModel:new Ext.grid.ColumnModel({defaults:{sortable:true},columns:[checkColumn,{id:"type-column",header:"Type",dataIndex:"typeName"},{width:30,renderer:function(value,meta,record,row,col,store){return'<img src="'+Sonatype.config.extPath+'/resources/images/gray/tabs/tab-close.gif" height="16" width="16" alt="Delete" />'}}]}),selModel:new Ext.grid.RowSelectionModel({singleSelect:true}),listeners:{cellclick:{fn:function(grid,rowIndex,columnIndex,event){if(columnIndex===2){var record=grid.getStore().getAt(rowIndex);grid.getStore().remove(record)}},scope:this}}}]}],buttons:[{name:"rulesetSave",text:"Save",handler:this.saveHandler,scope:this},{name:"rulesetCancel",text:this.isNew?"Cancel":"Reset",handler:this.isNew?this.cancelHandler:this.resetHandler,scope:this}]});this.on("afterlayout",this.initData,this);this.initialized=false};Ext.extend(Sonatype.repoServer.RulesetEditor,Ext.form.FormPanel,{initData:function(){if(!this.initialized){var i,ruleRec,idField=this.find("name","id")[0],nameField=this.find("name","name")[0],descriptionField=this.find("name","description")[0];this.ruleStore.removeAll();idField.setValue(this.payload.data.id);nameField.setValue(this.payload.data.name);descriptionField.setValue(this.payload.data.description);for(i=0;i<this.payload.data.rules.length;i=i+1){ruleRec=new Ext.data.Record(this.payload.data.rules[i],this.payload.data.rules[i].name);this.ruleStore.addSorted(ruleRec)}if(this.isNew){nameField.setRawValue("");descriptionField.setRawValue("")}this.initialized=true}},ruleAddHandler:function(){if(!this.validateRuleFields()){return}var typeId=this.find("name","ruleType")[0].getValue(),typeName=this.ruleTypeDataStore.getById(typeId).data.name,rec=new Ext.data.Record({},typeName);rec.beginEdit();rec.set("enabled",true);rec.set("name",typeName);rec.set("typeId",typeId);rec.set("typeName",typeName);rec.commit();rec.endEdit();this.ruleStore.addSorted(rec);this.resetRuleFields();this.clearRuleGridInvalid()},validateRuleFields:function(){var records,i,typeCombo=this.find("name","ruleType")[0];if(typeCombo.getValue()===""){typeCombo.markInvalid("This field is required");return false}records=this.ruleStore.getRange();for(i=0;i<records.length;i=i+1){if(records[i].get("typeId")===typeCombo.getValue()){typeCombo.markInvalid("This Rule is already in the ruleset");return false}}return true},resetRuleFields:function(){this.find("name","ruleType")[0].reset()},cancelHandler:function(){this.fireEvent("cancel",this)},resetHandler:function(){this.initialized=false;this.initData()},saveHandler:function(){if(!this.validateRuleSet()){return}var submitUrl=this.isNew?Sonatype.config.servicePath+"/staging/rule_sets":Sonatype.config.servicePath+"/staging/rule_sets/"+this.payload.data.id,submitData={data:{}};if(this.isNew){submitData.data.id=""}else{submitData.data.id=this.payload.data.id}submitData.data.name=this.find("name","name")[0].getValue();submitData.data.description=this.find("name","description")[0].getValue();submitData.data.rules=this.getRulesData();Ext.Ajax.request({scope:this,method:this.isNew?"POST":"PUT",url:submitUrl,jsonData:Ext.util.JSON.encode(submitData),callback:function(options,isSuccess,response){var errMsg,recData;if(!isSuccess){errMsg=this.isNew?"Unable to create the rule set.":"Unable to update the rule set.";Sonatype.utils.connectionError(response,errMsg,false,options.options)}else{recData=Ext.util.JSON.decode(response.responseText).data;this.updateGrid(recData)}}})},getRulesData:function(){var rulesData=[],i;for(i=0;i<this.ruleStore.getCount();i=i+1){rulesData[i]=this.ruleStore.getAt(i).data}return rulesData},validateRuleSet:function(){var nameField=this.find("name","name")[0],currentIndex,existingIndex;if(!nameField.validate()){return false}if(this.ruleStore.getCount()===0){this.markRuleGridInvalid("At least one rule should be specified!");return false}currentIndex=this.payload.store.indexOf(this.payload);existingIndex=this.payload.store.find("name",new RegExp("^"+nameField.getValue()+"$"));if(this.isNew){existingIndex=this.payload.store.find("name",new RegExp("^"+nameField.getValue()+"$"),1)}if(existingIndex!==-1&&existingIndex!==currentIndex){nameField.markInvalid("A rule set with the same name already exists.");return false}return true},clearRuleGridInvalid:function(){var rulesFS=this.find("name","rulesFieldSet")[0],rulesWarning=rulesFS.find("name","rulesWarning")[0];if(rulesWarning){rulesFS.remove(rulesWarning)}},markRuleGridInvalid:function(msg){this.clearRuleGridInvalid();var rulesFS=this.find("name","rulesFieldSet")[0];rulesFS.insert(1,{xtype:"panel",name:"rulesWarning",layout:"fit",html:'<div style="padding-bottom:10px; padding-top:5px; color:red">WARNING: '+msg+"</div>"});rulesFS.doLayout()},updateGrid:function(data){var rec,pos,store=this.payload.store;store.remove(this.payload);rec=new Ext.data.Record(data,data.resourceURI);store.addSorted(rec);this.isNew=false;this.payload.autoCreateNewRecord=false;pos=store.indexOf(rec);this.grid.gridPanel.getSelectionModel().selectRow(pos)}});Sonatype.Events.addListener("rulesetViewInit",function(cardPanel,rec,gridPanel){var sp=Sonatype.lib.Permissions;if(sp.checkPermission("nexus:stagingrulesets",sp.READ)&&(sp.checkPermission("nexus:stagingrulesets",sp.CREATE)||sp.checkPermission("nexus:stagingrulesets",sp.DELETE)||sp.checkPermission("nexus:stagingrulesets",sp.EDIT))){cardPanel.add(new Sonatype.repoServer.RulesetEditor({name:"configuration",payload:rec,grid:gridPanel}))}})});
define("Sonatype/repoServer/StagingUploadPanel",["Nexus/staging/Rules"],function(){Sonatype.repoServer.StagingUploadPanel=function(config){var config=config||{};var availableModes=[];if(Sonatype.lib.Permissions.checkPermission("nexus:stagingupload",Sonatype.lib.Permissions.CREATE)){availableModes.push(["pom","Artifact(s) with a POM"]);availableModes.push(["gav","Artifact(s) with GAV"])}if(Sonatype.lib.Permissions.checkPermission("nexus:stagingbundleupload",Sonatype.lib.Permissions.CREATE)){availableModes.push(["bundle","Artifact Bundle"])}var defaultConfig={id:"staging-upload",uploadModeTitle:"Select Staging Upload Mode",uploadModeLabel:"Upload Mode",uploadModeStore:new Ext.data.SimpleStore({fields:["value","display"],data:availableModes}),uploadModeHt:"The mode of staging upload, which depends on how you want to deploy your artifacts.",uploadModeExplanation:'<b>Artifact(s) with a POM:</b> GAV will be defined from a POM file.<br/><b>Artifact(s) with GAV:</b> GAV needs to be manually defined.<br/><b>Artifact Bundle:</b> A bundle file produced by <a href="http://maven.apache.org/plugins/maven-repository-plugin/">Maven Repository Plugin</a>, which should contain the POM.',extraItems:{xtype:"textarea",fieldLabel:"Description",helpText:"A detailed description of the staged repository",anchor:Sonatype.view.FIELD_OFFSET,name:"description",allowBlank:false,itemCls:"required-field"}};Ext.apply(this,config,defaultConfig);this.payload={id:"invalid-repo-id",data:{repoPolicy:"release"}};Sonatype.repoServer.StagingUploadPanel.superclass.constructor.call(this,{});this.on("beforerender",this.beforeRenderHandler,this)};Ext.extend(Sonatype.repoServer.StagingUploadPanel,Sonatype.repoServer.ArtifactUploadPanel,{createUploadForm:function(treePanel,fileInput,classifier,extension,lastItem){var pomMode=this.find("name","gavDefinition")[0].getValue()=="pom",tmpFormChildren=[];if(this.gavResponse){pomMode=false;this.form.findField("g").setValue(this.gavResponse.groupId);this.form.findField("a").setValue(this.gavResponse.artifactId);this.form.findField("v").setValue(this.gavResponse.version);this.form.findField("p").setValue(this.gavResponse.packaging);tmpFormChildren.push({tag:"input",type:"hidden",name:"r",value:this.gavResponse.repositoryId})}if(pomMode){tmpFormChildren=tmpFormChildren.concat([{tag:"input",type:"hidden",name:"hasPom",value:"true"},{tag:"input",type:"hidden",name:"c",value:classifier},{tag:"input",type:"hidden",name:"e",value:extension}])}else{tmpFormChildren=tmpFormChildren.concat([{tag:"input",type:"hidden",name:"g",value:this.form.findField("g").getValue()},{tag:"input",type:"hidden",name:"a",value:this.form.findField("a").getValue()},{tag:"input",type:"hidden",name:"v",value:this.form.findField("v").getValue()},{tag:"input",type:"hidden",name:"p",value:this.form.findField("p").getValue()},{tag:"input",type:"hidden",name:"c",value:classifier},{tag:"input",type:"hidden",name:"e",value:extension}])}tmpFormChildren.push({tag:"input",type:"hidden",name:"desc",value:this.form.findField("description").getValue()});var tmpForm=Ext.getBody().createChild({tag:"form",cls:"x-hidden",id:Ext.id(),children:tmpFormChildren});if(pomMode){this.pomInput.appendTo(tmpForm)}if(fileInput){fileInput.appendTo(tmpForm)}Ext.Ajax.request({url:Sonatype.config.servicePath+"/staging/upload",form:tmpForm,isUpload:true,cbPassThru:{description:this.form.findField("description").getValue(),treePanel:treePanel},callback:function(options,success,response){tmpForm.remove();if(response.responseText.toLowerCase().indexOf("<error>")==-1){this.gavResponse=Ext.decode(response.responseText);if(lastItem){this.finishRepository(options.cbPassThru.description);this.gavResponse=null}else{this.currentChildNode++;var treePanel=options.cbPassThru.treePanel;if(this.currentChildNode<treePanel.root.childNodes.length){this.createUploadForm(treePanel,treePanel.root.childNodes[this.currentChildNode].attributes.payload.fileInput,treePanel.root.childNodes[this.currentChildNode].attributes.payload.classifier,treePanel.root.childNodes[this.currentChildNode].attributes.payload.extension,this.currentChildNode==treePanel.root.childNodes.length-1)}}}else{var s="Artifact upload failed.<br />";var r=response.responseText;var n1=r.toLowerCase().indexOf("<error>")+7;var n2=r.toLowerCase().indexOf("</error>");if(n2>n1){s+=r.substring(n1,n2)}else{s+="Check Nexus logs for more information."}Sonatype.MessageBox.show({title:"Upload Failed",msg:s,buttons:Sonatype.MessageBox.OK,icon:Sonatype.MessageBox.ERROR})}},scope:this})},getJsonFromHtmlResponse:function(response){var r=response.responseText;var n1=r.toLowerCase().indexOf("<pre>")+5;var n2=r.toLowerCase().indexOf("</pre>");var json="";if(n2>n1){json=r.substring(n1,n2)}else{json=r}return Ext.util.JSON.decode(json)},finishRepository:function(description){var profileId=this.gavResponse.profileId;var repositoryId=this.gavResponse.repositoryId;Ext.Ajax.request({scope:this,method:"POST",options:{dontForceLogout:true,profileId:profileId,repositoryId:repositoryId},callback:function(options,isSuccess,response){if(!isSuccess){this.dropRepository(options.options.profileId,options.options.repositoryId);if(response.responseText.indexOf("failures")!==-1){Sonatype.MessageBox.hide();this.showRulesetEvaluationReport(response.responseText)}else{Sonatype.utils.connectionError(response,"The server did not close the staging repository, it will be dropped.",false,options.options)}}else{Sonatype.MessageBox.show({title:"Upload Complete",msg:"Artifact upload finished successfully",buttons:Sonatype.MessageBox.OK,icon:Sonatype.MessageBox.INFO});this.resetFields()}},jsonData:{data:{stagedRepositoryId:repositoryId,description:description}},url:Sonatype.config.servicePath+"/staging/profiles/"+profileId+"/finish"})},dropRepository:function(profileId,repositoryId){Ext.Ajax.request({scope:this,method:"POST",options:{dontForceLogout:true},url:Sonatype.config.servicePath+"/staging/profiles/"+profileId+"/drop",jsonData:{data:{stagedRepositoryId:repositoryId}},callback:function(options,isSuccess,response){if(!isSuccess){Sonatype.utils.connectionError(response,"The server did not close the staging repository, and failed to drop it.",false,options.options)}}})},gavDefinitionSelectHandler:function(combo,record,index){var gavDefinitionPanel=this.findById("gav-definition-card-panel");var artifactsUploadFieldset=this.findById("artifacts-upload-fieldset");gavDefinitionPanel.getLayout().activeItem.items.each(function(item){if(item.xtype!="browsebutton"){item.disable()}});this.clearInvalid();if(record.data.value=="pom"){gavDefinitionPanel.getLayout().setActiveItem(gavDefinitionPanel.items.itemAt(1));artifactsUploadFieldset.setVisible(true)}else{if(record.data.value=="gav"){gavDefinitionPanel.getLayout().setActiveItem(gavDefinitionPanel.items.itemAt(2));artifactsUploadFieldset.setVisible(true)}else{if(record.data.value=="bundle"){gavDefinitionPanel.getLayout().setActiveItem(gavDefinitionPanel.items.itemAt(3));artifactsUploadFieldset.setVisible(false)}else{gavDefinitionPanel.getLayout().setActiveItem(gavDefinitionPanel.items.itemAt(0))}}}gavDefinitionPanel.getLayout().activeItem.items.each(function(item){if(item.xtype!="browsebutton"){item.enable();if(item.readOnly){item.getEl().dom.readOnly=true}}else{item.setClipSize()}});this.doLayout()},beforeRenderHandler:function(formPanel){var bundleUploadEnabled=Sonatype.lib.Permissions.checkPermission("nexus:stagingbundleupload",Sonatype.lib.Permissions.CREATE);var gavDefinitionPanel=this.findById("gav-definition-card-panel");gavDefinitionPanel.add({xtype:"fieldset",border:false,checkboxToggle:false,collapsible:false,style:"margin-right:7px;",autoHeight:true,buttonAlign:"center",items:[{hideLabel:true,name:"upload-bundle-button",xtype:"browsebutton",text:"Select Bundle to Upload...",style:"margin-bottom: 5px;",disabled:!bundleUploadEnabled,uploadPanel:this,handler:function(b){b.uploadPanel.bundleInput=b.detachInputFile();var bundleName=b.uploadPanel.bundleInput.getValue();b.uploadPanel.updateBundleFileName(b.uploadPanel,bundleName)}},{xtype:"textfield",fieldLabel:"Bundle Filename",name:"bundle-name-field",anchor:Sonatype.view.FIELD_OFFSET,readOnly:true,allowBlank:false,itemCls:"required-field",disabled:true}],buttons:[{xtype:"button",id:"upload-bundle-button",text:"Upload Bundle",handler:this.uploadBundleHandler,disabled:!bundleUploadEnabled,scope:this},{xtype:"button",id:"reset-bundle-button",text:"Reset",handler:this.resetBundleHandler,disabled:!bundleUploadEnabled,scope:this}]})},updateBundleFileName:function(uploadPanel,bundleName){var bundleNameField=uploadPanel.find("name","bundle-name-field")[0];if(bundleName){bundleNameField.setValue(bundleName)}},resetBundleHandler:function(){var bundleNameField=this.find("name","bundle-name-field")[0];bundleNameField.reset();this.bundleInput=null},uploadBundleHandler:function(){if(!this.bundleInput){Sonatype.MessageBox.show({title:"No Bundle Selected",msg:"You must select a bundle produced by the Maven Repository Plugin.",buttons:Sonatype.MessageBox.OK,icon:Sonatype.MessageBox.ERROR})}else{Sonatype.MessageBox.wait("Uploading ...");var bundleForm=Ext.getBody().createChild({tag:"form",cls:"x-hidden",id:Ext.id(),children:[]});this.bundleInput.appendTo(bundleForm);Ext.Ajax.request({url:Sonatype.config.servicePath+"/staging/bundle_upload",form:bundleForm,isUpload:true,scope:this,callback:function(options,success,response){if(response.responseText.toLowerCase().indexOf("<error>")==-1){if(Ext.isEmpty(response.responseText)){Sonatype.MessageBox.show({title:"Upload Failed",msg:"Artifact bundle upload failed.",buttons:Sonatype.MessageBox.OK,icon:Sonatype.MessageBox.ERROR})}else{var jsonResponse=Ext.decode(response.responseText);var msg="Artifact Bundle upload finished successfully<br>";if(jsonResponse.repositoryUris.length==1){msg+="The following staging repository has been created<br><br>"}else{if(jsonResponse.repositoryUris.length>1){msg+="The following staging repositories have been created<br><br>"}}for(var i=0;i<jsonResponse.repositoryUris.length;i++){msg+='<a href="'+jsonResponse.repositoryUris[i]+'" target="_new">'+jsonResponse.repositoryUris[i]+"</a>"}Sonatype.MessageBox.show({title:"Upload Complete",msg:msg,buttons:Sonatype.MessageBox.OK,icon:Sonatype.MessageBox.INFO})}}else{var s="Artifact upload failed.<br />";var r=response.responseText;var n1=r.toLowerCase().indexOf("<error>")+7;var n2=r.toLowerCase().indexOf("</error>");if(n2>n1){if(r.indexOf("failures")!==-1){Sonatype.MessageBox.hide();this.showRulesetEvaluationReport(Nexus.util.Format.htmlDecode(r.substring(n1,n2)));s=null}else{s+=r.substring(n1,n2)}}else{s+="Check Nexus logs for more information."}if(s){Sonatype.MessageBox.show({title:"Upload Failed",msg:s,buttons:Sonatype.MessageBox.OK,icon:Sonatype.MessageBox.ERROR})}}}})}}});Nexus.staging.Rules.treat(Sonatype.repoServer.StagingUploadPanel);Sonatype.Events.addListener("nexusNavigationInit",function(nexusPanel){var enable=Sonatype.lib.Permissions.checkPermission("nexus:stagingupload",Sonatype.lib.Permissions.CREATE)||Sonatype.lib.Permissions.checkPermission("nexus:stagingbundleupload",Sonatype.lib.Permissions.CREATE);nexusPanel.add({enabled:enable,sectionId:"st-enterprise-staging",title:"Staging Upload",tabId:"staging-upload",tabCode:Sonatype.repoServer.StagingUploadPanel})})});
define("nexus-staging-plugin-boot",["Nexus/staging/repository/RepositoriesView","Sonatype/repoServer/ProfileEditor","Sonatype/repoServer/RulesetEditor","Sonatype/repoServer/StagingPanel","Sonatype/repoServer/StagingRuleSet","Sonatype/repoServer/StagingUploadPanel"],function(){NX.log.debug("Main nexus-staging-plugin modules loaded")});Sonatype.Events.addListener("privilegePanelInit",function(panel){var profileStore=new Ext.data.JsonStore({url:Sonatype.config.servicePath+"/staging/profiles",root:"data",id:"id",fields:[{name:"id"},{name:"name",sortType:Ext.data.SortTypes.asUCString}],sortInfo:{field:"name",direction:"asc"}});panel.profileStore=profileStore;panel.profileStore.load();var func=function(value,parent){if(!Ext.isEmpty(value)){return this.convertDataValue(value,this.profileStore,"id","name")}return""};panel.propertyTypeStore.add(new Ext.data.Record({type:"profile",converter:func.createDelegate(panel)}))});
